
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002cf2')]      |
| SIG_REGION                | [('0x80004204', '0x80004b18', '581 words')]      |
| COV_LABELS                | cxor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cxor-01.S/cxor-01.S    |
| Total Number of coverpoints| 643     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 581      |
| STAT1                     | 580      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800015ce]:c.xor a0, a1
      [0x800015d0]:sw a0, 1132(ra)
 -- Signature Address: 0x80004670 Data: 0x00000000
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val > 0
      - rs2_val == 2
      - rs1_val == 2
      - rs1_val==2 and rs2_val==2






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                   coverpoints                                                                                   |                             code                              |
|---:|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004204]<br>0x77FFFFFF|- opcode : c.xor<br> - rs1 : x12<br> - rs2 : x15<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -2147483648<br> - rs1_val == -134217729<br> |[0x8000010c]:c.xor a2, a5<br> [0x8000010e]:sw a2, 0(ra)<br>    |
|   2|[0x80004208]<br>0x00000000|- rs1 : x9<br> - rs2 : x9<br> - rs1 == rs2<br> - rs2_val > 0<br> - rs2_val == 2<br> - rs1_val == 2<br> - rs1_val==2 and rs2_val==2<br>                                           |[0x8000011a]:c.xor s1, s1<br> [0x8000011c]:sw s1, 4(ra)<br>    |
|   3|[0x8000420c]<br>0x80000003|- rs1 : x8<br> - rs2 : x14<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 2147483647<br>                                                                                      |[0x8000012c]:c.xor s0, a4<br> [0x8000012e]:sw fp, 8(ra)<br>    |
|   4|[0x80004210]<br>0xFFFF4AFD|- rs1 : x10<br> - rs2 : x12<br> - rs2_val == 1<br>                                                                                                                               |[0x8000013e]:c.xor a0, a2<br> [0x80000140]:sw a0, 12(ra)<br>   |
|   5|[0x80004214]<br>0x7FF7FFFF|- rs1 : x15<br> - rs2 : x10<br> - rs1_val == (-2**(xlen-1))<br> - rs2_val == -524289<br> - rs1_val == -2147483648<br>                                                            |[0x80000150]:c.xor a5, a0<br> [0x80000152]:sw a5, 16(ra)<br>   |
|   6|[0x80004218]<br>0xEFFFFFFF|- rs1 : x14<br> - rs2 : x11<br> - rs1_val == 0<br> - rs2_val == -268435457<br>                                                                                                   |[0x80000162]:c.xor a4, a1<br> [0x80000164]:sw a4, 20(ra)<br>   |
|   7|[0x8000421c]<br>0x7EFFFFFF|- rs1 : x11<br> - rs2 : x8<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 16777216<br> - rs1_val == 2147483647<br>                                                            |[0x80000174]:c.xor a1, s0<br> [0x80000176]:sw a1, 24(ra)<br>   |
|   8|[0x80004220]<br>0x00020001|- rs1 : x13<br> - rs1_val == 1<br> - rs2_val == 131072<br>                                                                                                                       |[0x80000182]:c.xor a3, a4<br> [0x80000184]:sw a3, 28(ra)<br>   |
|   9|[0x80004224]<br>0x04000002|- rs2 : x13<br> - rs1_val == 67108864<br>                                                                                                                                        |[0x80000190]:c.xor s1, a3<br> [0x80000192]:sw s1, 32(ra)<br>   |
|  10|[0x80004228]<br>0x66666661|- rs2_val == 4<br> - rs1_val==1717986917 and rs2_val==4<br>                                                                                                                      |[0x800001a2]:c.xor a0, a1<br> [0x800001a4]:sw a0, 36(ra)<br>   |
|  11|[0x8000422c]<br>0xFEFFFFF7|- rs2_val == 8<br> - rs1_val == -16777217<br>                                                                                                                                    |[0x800001b4]:c.xor a0, a1<br> [0x800001b6]:sw a0, 40(ra)<br>   |
|  12|[0x80004230]<br>0xFFFFFFFF|- rs2_val == 16<br> - rs1_val == -17<br>                                                                                                                                         |[0x800001c2]:c.xor a0, a1<br> [0x800001c4]:sw a0, 44(ra)<br>   |
|  13|[0x80004234]<br>0x00000022|- rs2_val == 32<br>                                                                                                                                                              |[0x800001d0]:c.xor a0, a1<br> [0x800001d2]:sw a0, 48(ra)<br>   |
|  14|[0x80004238]<br>0xFFFFFF3F|- rs2_val == 64<br> - rs1_val == -129<br>                                                                                                                                        |[0x800001de]:c.xor a0, a1<br> [0x800001e0]:sw a0, 52(ra)<br>   |
|  15|[0x8000423c]<br>0x00020080|- rs2_val == 128<br> - rs1_val == 131072<br>                                                                                                                                     |[0x800001ec]:c.xor a0, a1<br> [0x800001ee]:sw a0, 56(ra)<br>   |
|  16|[0x80004240]<br>0x33333233|- rs2_val == 256<br>                                                                                                                                                             |[0x800001fe]:c.xor a0, a1<br> [0x80000200]:sw a0, 60(ra)<br>   |
|  17|[0x80004244]<br>0x00000204|- rs2_val == 512<br> - rs1_val == 4<br>                                                                                                                                          |[0x8000020c]:c.xor a0, a1<br> [0x8000020e]:sw a0, 64(ra)<br>   |
|  18|[0x80004248]<br>0xFFFFFBFA|- rs2_val == 1024<br>                                                                                                                                                            |[0x8000021a]:c.xor a0, a1<br> [0x8000021c]:sw a0, 68(ra)<br>   |
|  19|[0x8000424c]<br>0xFFFFF7BF|- rs2_val == 2048<br> - rs1_val == -65<br>                                                                                                                                       |[0x8000022c]:c.xor a0, a1<br> [0x8000022e]:sw a0, 72(ra)<br>   |
|  20|[0x80004250]<br>0xFFFFEFF6|- rs2_val == 4096<br>                                                                                                                                                            |[0x8000023a]:c.xor a0, a1<br> [0x8000023c]:sw a0, 76(ra)<br>   |
|  21|[0x80004254]<br>0x08002000|- rs2_val == 8192<br> - rs1_val == 134217728<br>                                                                                                                                 |[0x80000248]:c.xor a0, a1<br> [0x8000024a]:sw a0, 80(ra)<br>   |
|  22|[0x80004258]<br>0x00004020|- rs2_val == 16384<br> - rs1_val == 32<br>                                                                                                                                       |[0x80000256]:c.xor a0, a1<br> [0x80000258]:sw a0, 84(ra)<br>   |
|  23|[0x8000425c]<br>0x00008040|- rs2_val == 32768<br> - rs1_val == 64<br>                                                                                                                                       |[0x80000264]:c.xor a0, a1<br> [0x80000266]:sw a0, 88(ra)<br>   |
|  24|[0x80004260]<br>0xFFFEFEFF|- rs2_val == 65536<br> - rs1_val == -257<br>                                                                                                                                     |[0x80000272]:c.xor a0, a1<br> [0x80000274]:sw a0, 92(ra)<br>   |
|  25|[0x80004264]<br>0x00060000|- rs2_val == 262144<br>                                                                                                                                                          |[0x80000280]:c.xor a0, a1<br> [0x80000282]:sw a0, 96(ra)<br>   |
|  26|[0x80004268]<br>0xFFF74AFD|- rs2_val == 524288<br>                                                                                                                                                          |[0x80000292]:c.xor a0, a1<br> [0x80000294]:sw a0, 100(ra)<br>  |
|  27|[0x8000426c]<br>0x55455555|- rs2_val == 1048576<br> - rs1_val == 1431655765<br>                                                                                                                             |[0x800002a4]:c.xor a0, a1<br> [0x800002a6]:sw a0, 104(ra)<br>  |
|  28|[0x80004270]<br>0xFFDF4AFC|- rs2_val == 2097152<br>                                                                                                                                                         |[0x800002b6]:c.xor a0, a1<br> [0x800002b8]:sw a0, 108(ra)<br>  |
|  29|[0x80004274]<br>0x00400005|- rs2_val == 4194304<br>                                                                                                                                                         |[0x800002c4]:c.xor a0, a1<br> [0x800002c6]:sw a0, 112(ra)<br>  |
|  30|[0x80004278]<br>0x00900000|- rs2_val == 8388608<br> - rs1_val == 1048576<br>                                                                                                                                |[0x800002d2]:c.xor a0, a1<br> [0x800002d4]:sw a0, 116(ra)<br>  |
|  31|[0x8000427c]<br>0xFDFFFFF6|- rs2_val == 33554432<br>                                                                                                                                                        |[0x800002e0]:c.xor a0, a1<br> [0x800002e2]:sw a0, 120(ra)<br>  |
|  32|[0x80004280]<br>0x04020000|- rs2_val == 67108864<br>                                                                                                                                                        |[0x800002ee]:c.xor a0, a1<br> [0x800002f0]:sw a0, 124(ra)<br>  |
|  33|[0x80004284]<br>0xF7FF7FFF|- rs2_val == 134217728<br> - rs1_val == -32769<br>                                                                                                                               |[0x80000300]:c.xor a0, a1<br> [0x80000302]:sw a0, 128(ra)<br>  |
|  34|[0x80004288]<br>0xEFFFFBFF|- rs2_val == 268435456<br> - rs1_val == -1025<br>                                                                                                                                |[0x8000030e]:c.xor a0, a1<br> [0x80000310]:sw a0, 132(ra)<br>  |
|  35|[0x8000428c]<br>0x20008000|- rs2_val == 536870912<br> - rs1_val == 32768<br>                                                                                                                                |[0x8000031c]:c.xor a0, a1<br> [0x8000031e]:sw a0, 136(ra)<br>  |
|  36|[0x80004290]<br>0x40000006|- rs2_val == 1073741824<br>                                                                                                                                                      |[0x8000032a]:c.xor a0, a1<br> [0x8000032c]:sw a0, 140(ra)<br>  |
|  37|[0x80004294]<br>0xFFFFFF7E|- rs2_val == -2<br> - rs1_val == 128<br>                                                                                                                                         |[0x80000338]:c.xor a0, a1<br> [0x8000033a]:sw a0, 144(ra)<br>  |
|  38|[0x80004298]<br>0xFFFFF7FD|- rs2_val == -3<br> - rs1_val == 2048<br>                                                                                                                                        |[0x8000034a]:c.xor a0, a1<br> [0x8000034c]:sw a0, 148(ra)<br>  |
|  39|[0x8000429c]<br>0x00000404|- rs2_val == -5<br>                                                                                                                                                              |[0x80000358]:c.xor a0, a1<br> [0x8000035a]:sw a0, 152(ra)<br>  |
|  40|[0x800042a0]<br>0xFBFFFFF7|- rs2_val == -9<br>                                                                                                                                                              |[0x80000366]:c.xor a0, a1<br> [0x80000368]:sw a0, 156(ra)<br>  |
|  41|[0x800042a4]<br>0xFFFFFFED|- rs2_val == -17<br>                                                                                                                                                             |[0x80000374]:c.xor a0, a1<br> [0x80000376]:sw a0, 160(ra)<br>  |
|  42|[0x800042a8]<br>0xFFFF7FDF|- rs2_val == -33<br>                                                                                                                                                             |[0x80000382]:c.xor a0, a1<br> [0x80000384]:sw a0, 164(ra)<br>  |
|  43|[0x800042ac]<br>0xCCCCCC8D|- rs2_val == -65<br>                                                                                                                                                             |[0x80000394]:c.xor a0, a1<br> [0x80000396]:sw a0, 168(ra)<br>  |
|  44|[0x800042b0]<br>0x00020080|- rs2_val == -129<br> - rs1_val == -131073<br>                                                                                                                                   |[0x800003a6]:c.xor a0, a1<br> [0x800003a8]:sw a0, 172(ra)<br>  |
|  45|[0x800042b4]<br>0xEFFFFEFF|- rs2_val == -257<br> - rs1_val == 268435456<br>                                                                                                                                 |[0x800003b4]:c.xor a0, a1<br> [0x800003b6]:sw a0, 176(ra)<br>  |
|  46|[0x800042b8]<br>0x7FFFFDFF|- rs2_val == -513<br>                                                                                                                                                            |[0x800003c2]:c.xor a0, a1<br> [0x800003c4]:sw a0, 180(ra)<br>  |
|  47|[0x800042bc]<br>0x40000400|- rs2_val == -1025<br> - rs1_val == -1073741825<br>                                                                                                                              |[0x800003d4]:c.xor a0, a1<br> [0x800003d6]:sw a0, 184(ra)<br>  |
|  48|[0x800042c0]<br>0x00000800|- rs2_val == -2049<br>                                                                                                                                                           |[0x800003e6]:c.xor a0, a1<br> [0x800003e8]:sw a0, 188(ra)<br>  |
|  49|[0x800042c4]<br>0x00001006|- rs2_val == -4097<br>                                                                                                                                                           |[0x800003f8]:c.xor a0, a1<br> [0x800003fa]:sw a0, 192(ra)<br>  |
|  50|[0x800042c8]<br>0x9999B998|- rs2_val == -8193<br>                                                                                                                                                           |[0x8000040e]:c.xor a0, a1<br> [0x80000410]:sw a0, 196(ra)<br>  |
|  51|[0x800042cc]<br>0xFEFFBFFF|- rs2_val == -16385<br> - rs1_val == 16777216<br>                                                                                                                                |[0x80000420]:c.xor a0, a1<br> [0x80000422]:sw a0, 200(ra)<br>  |
|  52|[0x800042d0]<br>0x00808000|- rs2_val == -32769<br> - rs1_val == -8388609<br>                                                                                                                                |[0x80000436]:c.xor a0, a1<br> [0x80000438]:sw a0, 204(ra)<br>  |
|  53|[0x800042d4]<br>0x00410000|- rs2_val == -65537<br> - rs1_val == -4194305<br>                                                                                                                                |[0x8000044c]:c.xor a0, a1<br> [0x8000044e]:sw a0, 208(ra)<br>  |
|  54|[0x800042d8]<br>0x00028000|- rs2_val == -131073<br>                                                                                                                                                         |[0x80000462]:c.xor a0, a1<br> [0x80000464]:sw a0, 212(ra)<br>  |
|  55|[0x800042dc]<br>0xEFFBFFFF|- rs2_val == -262145<br>                                                                                                                                                         |[0x80000474]:c.xor a0, a1<br> [0x80000476]:sw a0, 216(ra)<br>  |
|  56|[0x800042e0]<br>0x00300000|- rs2_val == -1048577<br> - rs1_val == -2097153<br>                                                                                                                              |[0x8000048a]:c.xor a0, a1<br> [0x8000048c]:sw a0, 220(ra)<br>  |
|  57|[0x800042e4]<br>0x00200005|- rs2_val == -2097153<br>                                                                                                                                                        |[0x8000049c]:c.xor a0, a1<br> [0x8000049e]:sw a0, 224(ra)<br>  |
|  58|[0x800042e8]<br>0xFFBEFFFF|- rs2_val == -4194305<br> - rs1_val == 65536<br>                                                                                                                                 |[0x800004ae]:c.xor a0, a1<br> [0x800004b0]:sw a0, 228(ra)<br>  |
|  59|[0x800042ec]<br>0x0080B502|- rs2_val == -8388609<br>                                                                                                                                                        |[0x800004c4]:c.xor a0, a1<br> [0x800004c6]:sw a0, 232(ra)<br>  |
|  60|[0x800042f0]<br>0x01000000|- rs2_val == -16777217<br>                                                                                                                                                       |[0x800004d6]:c.xor a0, a1<br> [0x800004d8]:sw a0, 236(ra)<br>  |
|  61|[0x800042f4]<br>0xFDFFFFFF|- rs2_val == -33554433<br>                                                                                                                                                       |[0x800004e8]:c.xor a0, a1<br> [0x800004ea]:sw a0, 240(ra)<br>  |
|  62|[0x800042f8]<br>0xFBFF7FFF|- rs2_val == -67108865<br>                                                                                                                                                       |[0x800004fa]:c.xor a0, a1<br> [0x800004fc]:sw a0, 244(ra)<br>  |
|  63|[0x800042fc]<br>0xF7FFFFFB|- rs2_val == -134217729<br>                                                                                                                                                      |[0x8000050c]:c.xor a0, a1<br> [0x8000050e]:sw a0, 248(ra)<br>  |
|  64|[0x80004300]<br>0x20002000|- rs2_val == -536870913<br> - rs1_val == -8193<br>                                                                                                                               |[0x80000522]:c.xor a0, a1<br> [0x80000524]:sw a0, 252(ra)<br>  |
|  65|[0x80004304]<br>0x48000000|- rs2_val == -1073741825<br>                                                                                                                                                     |[0x80000538]:c.xor a0, a1<br> [0x8000053a]:sw a0, 256(ra)<br>  |
|  66|[0x80004308]<br>0x55155555|- rs2_val == 1431655765<br> - rs1_val == 4194304<br>                                                                                                                             |[0x8000054a]:c.xor a0, a1<br> [0x8000054c]:sw a0, 260(ra)<br>  |
|  67|[0x8000430c]<br>0x5555E057|- rs2_val == -1431655766<br> - rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                      |[0x80000560]:c.xor a0, a1<br> [0x80000562]:sw a0, 264(ra)<br>  |
|  68|[0x80004310]<br>0xFFFFDFF7|- rs1_val == 8<br>                                                                                                                                                               |[0x80000572]:c.xor a0, a1<br> [0x80000574]:sw a0, 268(ra)<br>  |
|  69|[0x80004314]<br>0xFDFFFFEF|- rs1_val == 16<br>                                                                                                                                                              |[0x80000584]:c.xor a0, a1<br> [0x80000586]:sw a0, 272(ra)<br>  |
|  70|[0x80004318]<br>0xFFFF4BFD|- rs1_val == 256<br>                                                                                                                                                             |[0x80000596]:c.xor a0, a1<br> [0x80000598]:sw a0, 276(ra)<br>  |
|  71|[0x8000431c]<br>0xFBFFFDFF|- rs1_val == 512<br>                                                                                                                                                             |[0x800005a8]:c.xor a0, a1<br> [0x800005aa]:sw a0, 280(ra)<br>  |
|  72|[0x80004320]<br>0x00400400|- rs1_val == 1024<br>                                                                                                                                                            |[0x800005b6]:c.xor a0, a1<br> [0x800005b8]:sw a0, 284(ra)<br>  |
|  73|[0x80004324]<br>0xAAAABAAA|- rs1_val == 4096<br>                                                                                                                                                            |[0x800005c8]:c.xor a0, a1<br> [0x800005ca]:sw a0, 288(ra)<br>  |
|  74|[0x80004328]<br>0xFFFFDBFF|- rs1_val == 8192<br>                                                                                                                                                            |[0x800005d6]:c.xor a0, a1<br> [0x800005d8]:sw a0, 292(ra)<br>  |
|  75|[0x8000432c]<br>0x00006000|- rs1_val == 16384<br>                                                                                                                                                           |[0x800005e4]:c.xor a0, a1<br> [0x800005e6]:sw a0, 296(ra)<br>  |
|  76|[0x80004330]<br>0xAAAEAAAB|- rs1_val == 262144<br>                                                                                                                                                          |[0x800005f6]:c.xor a0, a1<br> [0x800005f8]:sw a0, 300(ra)<br>  |
|  77|[0x80004334]<br>0x0008B505|- rs1_val == 524288<br>                                                                                                                                                          |[0x80000608]:c.xor a0, a1<br> [0x8000060a]:sw a0, 304(ra)<br>  |
|  78|[0x80004338]<br>0xFFDFFFF6|- rs1_val == 2097152<br>                                                                                                                                                         |[0x80000616]:c.xor a0, a1<br> [0x80000618]:sw a0, 308(ra)<br>  |
|  79|[0x8000433c]<br>0x00840000|- rs1_val == 8388608<br>                                                                                                                                                         |[0x80000624]:c.xor a0, a1<br> [0x80000626]:sw a0, 312(ra)<br>  |
|  80|[0x80004340]<br>0x02000040|- rs1_val == 33554432<br>                                                                                                                                                        |[0x80000632]:c.xor a0, a1<br> [0x80000634]:sw a0, 316(ra)<br>  |
|  81|[0x80004344]<br>0xDFFFFFDF|- rs1_val == 536870912<br>                                                                                                                                                       |[0x80000640]:c.xor a0, a1<br> [0x80000642]:sw a0, 320(ra)<br>  |
|  82|[0x80004348]<br>0x60000000|- rs1_val == 1073741824<br>                                                                                                                                                      |[0x8000064e]:c.xor a0, a1<br> [0x80000650]:sw a0, 324(ra)<br>  |
|  83|[0x8000434c]<br>0xFFFFFFFC|- rs1_val == -2<br>                                                                                                                                                              |[0x8000065c]:c.xor a0, a1<br> [0x8000065e]:sw a0, 328(ra)<br>  |
|  84|[0x80004350]<br>0x9999999A|- rs1_val == -3<br>                                                                                                                                                              |[0x8000066e]:c.xor a0, a1<br> [0x80000670]:sw a0, 332(ra)<br>  |
|  85|[0x80004354]<br>0x00000007|- rs1_val == -5<br>                                                                                                                                                              |[0x8000067c]:c.xor a0, a1<br> [0x8000067e]:sw a0, 336(ra)<br>  |
|  86|[0x80004358]<br>0xAAAAAAA3|- rs1_val == -9<br>                                                                                                                                                              |[0x8000068e]:c.xor a0, a1<br> [0x80000690]:sw a0, 340(ra)<br>  |
|  87|[0x8000435c]<br>0x7FFFFFDF|- rs1_val == -33<br>                                                                                                                                                             |[0x8000069c]:c.xor a0, a1<br> [0x8000069e]:sw a0, 344(ra)<br>  |
|  88|[0x80004360]<br>0xFFFEFDFF|- rs1_val == -513<br>                                                                                                                                                            |[0x800006aa]:c.xor a0, a1<br> [0x800006ac]:sw a0, 348(ra)<br>  |
|  89|[0x80004364]<br>0xAAAAA2A9|- rs1_val == -2049<br>                                                                                                                                                           |[0x800006c0]:c.xor a0, a1<br> [0x800006c2]:sw a0, 352(ra)<br>  |
|  90|[0x80004368]<br>0x00101000|- rs1_val == -4097<br>                                                                                                                                                           |[0x800006d6]:c.xor a0, a1<br> [0x800006d8]:sw a0, 356(ra)<br>  |
|  91|[0x8000436c]<br>0xFFFFBFFF|- rs2_val == 0<br> - rs1_val == -16385<br>                                                                                                                                       |[0x800006e8]:c.xor a0, a1<br> [0x800006ea]:sw a0, 360(ra)<br>  |
|  92|[0x80004370]<br>0xFFFEEFFF|- rs1_val == -65537<br>                                                                                                                                                          |[0x800006fa]:c.xor a0, a1<br> [0x800006fc]:sw a0, 364(ra)<br>  |
|  93|[0x80004374]<br>0xFFFBFEFF|- rs1_val == -262145<br>                                                                                                                                                         |[0x8000070c]:c.xor a0, a1<br> [0x8000070e]:sw a0, 368(ra)<br>  |
|  94|[0x80004378]<br>0x00082000|- rs1_val == -524289<br>                                                                                                                                                         |[0x80000722]:c.xor a0, a1<br> [0x80000724]:sw a0, 372(ra)<br>  |
|  95|[0x8000437c]<br>0xCCDCCCCB|- rs1_val == -1048577<br>                                                                                                                                                        |[0x80000738]:c.xor a0, a1<br> [0x8000073a]:sw a0, 376(ra)<br>  |
|  96|[0x80004380]<br>0x02080000|- rs1_val == -33554433<br>                                                                                                                                                       |[0x8000074e]:c.xor a0, a1<br> [0x80000750]:sw a0, 380(ra)<br>  |
|  97|[0x80004384]<br>0xFBFFFFFA|- rs1_val == -67108865<br>                                                                                                                                                       |[0x80000760]:c.xor a0, a1<br> [0x80000762]:sw a0, 384(ra)<br>  |
|  98|[0x80004388]<br>0xEFFFFBFF|- rs1_val == -268435457<br>                                                                                                                                                      |[0x80000772]:c.xor a0, a1<br> [0x80000774]:sw a0, 388(ra)<br>  |
|  99|[0x8000438c]<br>0x8AAAAAAB|- rs1_val == -536870913<br>                                                                                                                                                      |[0x80000788]:c.xor a0, a1<br> [0x8000078a]:sw a0, 392(ra)<br>  |
| 100|[0x80004390]<br>0xAAAAAAAE|- rs1_val == -1431655766<br> - rs1_val==-1431655766 and rs2_val==4<br>                                                                                                           |[0x8000079a]:c.xor a0, a1<br> [0x8000079c]:sw a0, 396(ra)<br>  |
| 101|[0x80004394]<br>0x00000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                  |[0x800007a8]:c.xor a0, a1<br> [0x800007aa]:sw a0, 400(ra)<br>  |
| 102|[0x80004398]<br>0x55555556|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                         |[0x800007ba]:c.xor a0, a1<br> [0x800007bc]:sw a0, 404(ra)<br>  |
| 103|[0x8000439c]<br>0xAAAAAAA9|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                        |[0x800007cc]:c.xor a0, a1<br> [0x800007ce]:sw a0, 408(ra)<br>  |
| 104|[0x800043a0]<br>0x00000006|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                  |[0x800007da]:c.xor a0, a1<br> [0x800007dc]:sw a0, 412(ra)<br>  |
| 105|[0x800043a4]<br>0x33333330|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                          |[0x800007ec]:c.xor a0, a1<br> [0x800007ee]:sw a0, 416(ra)<br>  |
| 106|[0x800043a8]<br>0x66666665|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                         |[0x800007fe]:c.xor a0, a1<br> [0x80000800]:sw a0, 420(ra)<br>  |
| 107|[0x800043ac]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                             |[0x80000810]:c.xor a0, a1<br> [0x80000812]:sw a0, 424(ra)<br>  |
| 108|[0x800043b0]<br>0x0000B507|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                              |[0x80000822]:c.xor a0, a1<br> [0x80000824]:sw a0, 428(ra)<br>  |
| 109|[0x800043b4]<br>0x00000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                  |[0x80000830]:c.xor a0, a1<br> [0x80000832]:sw a0, 432(ra)<br>  |
| 110|[0x800043b8]<br>0x55555557|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                         |[0x80000842]:c.xor a0, a1<br> [0x80000844]:sw a0, 436(ra)<br>  |
| 111|[0x800043bc]<br>0x00000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                  |[0x80000850]:c.xor a0, a1<br> [0x80000852]:sw a0, 440(ra)<br>  |
| 112|[0x800043c0]<br>0x00000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                  |[0x8000085e]:c.xor a0, a1<br> [0x80000860]:sw a0, 444(ra)<br>  |
| 113|[0x800043c4]<br>0x33333331|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                          |[0x80000870]:c.xor a0, a1<br> [0x80000872]:sw a0, 448(ra)<br>  |
| 114|[0x800043c8]<br>0x66666666|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                         |[0x80000882]:c.xor a0, a1<br> [0x80000884]:sw a0, 452(ra)<br>  |
| 115|[0x800043cc]<br>0x0000B500|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                              |[0x80000894]:c.xor a0, a1<br> [0x80000896]:sw a0, 456(ra)<br>  |
| 116|[0x800043d0]<br>0x55555555|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                         |[0x800008a6]:c.xor a0, a1<br> [0x800008a8]:sw a0, 460(ra)<br>  |
| 117|[0x800043d4]<br>0xAAAAAAA8|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                        |[0x800008b8]:c.xor a0, a1<br> [0x800008ba]:sw a0, 464(ra)<br>  |
| 118|[0x800043d8]<br>0x00000005|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                  |[0x800008c6]:c.xor a0, a1<br> [0x800008c8]:sw a0, 468(ra)<br>  |
| 119|[0x800043dc]<br>0x33333337|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                          |[0x800008d8]:c.xor a0, a1<br> [0x800008da]:sw a0, 472(ra)<br>  |
| 120|[0x800043e0]<br>0x66666664|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                         |[0x800008ea]:c.xor a0, a1<br> [0x800008ec]:sw a0, 476(ra)<br>  |
| 121|[0x800043e4]<br>0xFFFF4AFE|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                             |[0x800008fc]:c.xor a0, a1<br> [0x800008fe]:sw a0, 480(ra)<br>  |
| 122|[0x800043e8]<br>0x0000B506|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                              |[0x8000090e]:c.xor a0, a1<br> [0x80000910]:sw a0, 484(ra)<br>  |
| 123|[0x800043ec]<br>0x55555556|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                         |[0x80000920]:c.xor a0, a1<br> [0x80000922]:sw a0, 488(ra)<br>  |
| 124|[0x800043f0]<br>0x00000000|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                                |[0x80000936]:c.xor a0, a1<br> [0x80000938]:sw a0, 492(ra)<br>  |
| 125|[0x800043f4]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                               |[0x8000094c]:c.xor a0, a1<br> [0x8000094e]:sw a0, 496(ra)<br>  |
| 126|[0x800043f8]<br>0x55555550|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                         |[0x8000095e]:c.xor a0, a1<br> [0x80000960]:sw a0, 500(ra)<br>  |
| 127|[0x800043fc]<br>0x66666666|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                                 |[0x80000974]:c.xor a0, a1<br> [0x80000976]:sw a0, 504(ra)<br>  |
| 128|[0x80004400]<br>0x33333333|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                                |[0x8000098a]:c.xor a0, a1<br> [0x8000098c]:sw a0, 508(ra)<br>  |
| 129|[0x80004404]<br>0xAAAA1FA9|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                                    |[0x800009a0]:c.xor a0, a1<br> [0x800009a2]:sw a0, 512(ra)<br>  |
| 130|[0x80004408]<br>0x5555E051|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                                     |[0x800009b6]:c.xor a0, a1<br> [0x800009b8]:sw a0, 516(ra)<br>  |
| 131|[0x8000440c]<br>0x55555557|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                         |[0x800009c8]:c.xor a0, a1<br> [0x800009ca]:sw a0, 520(ra)<br>  |
| 132|[0x80004410]<br>0x00000001|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                                |[0x800009de]:c.xor a0, a1<br> [0x800009e0]:sw a0, 524(ra)<br>  |
| 133|[0x80004414]<br>0x55555555|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                         |[0x800009f0]:c.xor a0, a1<br> [0x800009f2]:sw a0, 528(ra)<br>  |
| 134|[0x80004418]<br>0x55555551|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                         |[0x80000a02]:c.xor a0, a1<br> [0x80000a04]:sw a0, 532(ra)<br>  |
| 135|[0x8000441c]<br>0x66666667|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                                 |[0x80000a18]:c.xor a0, a1<br> [0x80000a1a]:sw a0, 536(ra)<br>  |
| 136|[0x80004420]<br>0x33333330|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                                |[0x80000a2e]:c.xor a0, a1<br> [0x80000a30]:sw a0, 540(ra)<br>  |
| 137|[0x80004424]<br>0x5555E056|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                                     |[0x80000a44]:c.xor a0, a1<br> [0x80000a46]:sw a0, 544(ra)<br>  |
| 138|[0x80004428]<br>0x00000003|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                                |[0x80000a5a]:c.xor a0, a1<br> [0x80000a5c]:sw a0, 548(ra)<br>  |
| 139|[0x8000442c]<br>0xFFFFFFFE|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                               |[0x80000a70]:c.xor a0, a1<br> [0x80000a72]:sw a0, 552(ra)<br>  |
| 140|[0x80004430]<br>0x55555553|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                         |[0x80000a82]:c.xor a0, a1<br> [0x80000a84]:sw a0, 556(ra)<br>  |
| 141|[0x80004434]<br>0x66666661|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                                 |[0x80000a98]:c.xor a0, a1<br> [0x80000a9a]:sw a0, 560(ra)<br>  |
| 142|[0x80004438]<br>0x33333332|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                                |[0x80000aae]:c.xor a0, a1<br> [0x80000ab0]:sw a0, 564(ra)<br>  |
| 143|[0x8000443c]<br>0xAAAA1FA8|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                                    |[0x80000ac4]:c.xor a0, a1<br> [0x80000ac6]:sw a0, 568(ra)<br>  |
| 144|[0x80004440]<br>0x5555E050|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                                     |[0x80000ada]:c.xor a0, a1<br> [0x80000adc]:sw a0, 572(ra)<br>  |
| 145|[0x80004444]<br>0xAAAAAAA9|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                        |[0x80000aec]:c.xor a0, a1<br> [0x80000aee]:sw a0, 576(ra)<br>  |
| 146|[0x80004448]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                               |[0x80000b02]:c.xor a0, a1<br> [0x80000b04]:sw a0, 580(ra)<br>  |
| 147|[0x8000444c]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                              |[0x80000b18]:c.xor a0, a1<br> [0x80000b1a]:sw a0, 584(ra)<br>  |
| 148|[0x80004450]<br>0xAAAAAAAF|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                        |[0x80000b2a]:c.xor a0, a1<br> [0x80000b2c]:sw a0, 588(ra)<br>  |
| 149|[0x80004454]<br>0x99999999|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                                |[0x80000b40]:c.xor a0, a1<br> [0x80000b42]:sw a0, 592(ra)<br>  |
| 150|[0x80004458]<br>0xCCCCCCCC|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                               |[0x80000b56]:c.xor a0, a1<br> [0x80000b58]:sw a0, 596(ra)<br>  |
| 151|[0x8000445c]<br>0x5555E056|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                                   |[0x80000b6c]:c.xor a0, a1<br> [0x80000b6e]:sw a0, 600(ra)<br>  |
| 152|[0x80004460]<br>0xAAAA1FAE|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                                    |[0x80000b82]:c.xor a0, a1<br> [0x80000b84]:sw a0, 604(ra)<br>  |
| 153|[0x80004464]<br>0xAAAAAAA8|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                        |[0x80000b94]:c.xor a0, a1<br> [0x80000b96]:sw a0, 608(ra)<br>  |
| 154|[0x80004468]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                               |[0x80000baa]:c.xor a0, a1<br> [0x80000bac]:sw a0, 612(ra)<br>  |
| 155|[0x8000446c]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                        |[0x80000bbc]:c.xor a0, a1<br> [0x80000bbe]:sw a0, 616(ra)<br>  |
| 156|[0x80004470]<br>0x99999998|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                                |[0x80000bd2]:c.xor a0, a1<br> [0x80000bd4]:sw a0, 620(ra)<br>  |
| 157|[0x80004474]<br>0xCCCCCCCF|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                               |[0x80000be8]:c.xor a0, a1<br> [0x80000bea]:sw a0, 624(ra)<br>  |
| 158|[0x80004478]<br>0xAAAA1FA9|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                                    |[0x80000bfe]:c.xor a0, a1<br> [0x80000c00]:sw a0, 628(ra)<br>  |
| 159|[0x8000447c]<br>0xFFFFFFFC|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                               |[0x80000c14]:c.xor a0, a1<br> [0x80000c16]:sw a0, 632(ra)<br>  |
| 160|[0x80004480]<br>0x00000001|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                              |[0x80000c2a]:c.xor a0, a1<br> [0x80000c2c]:sw a0, 636(ra)<br>  |
| 161|[0x80004484]<br>0xAAAAAAAC|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                        |[0x80000c3c]:c.xor a0, a1<br> [0x80000c3e]:sw a0, 640(ra)<br>  |
| 162|[0x80004488]<br>0x9999999E|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                                |[0x80000c52]:c.xor a0, a1<br> [0x80000c54]:sw a0, 644(ra)<br>  |
| 163|[0x8000448c]<br>0xCCCCCCCD|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                               |[0x80000c68]:c.xor a0, a1<br> [0x80000c6a]:sw a0, 648(ra)<br>  |
| 164|[0x80004490]<br>0x5555E057|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                                   |[0x80000c7e]:c.xor a0, a1<br> [0x80000c80]:sw a0, 652(ra)<br>  |
| 165|[0x80004494]<br>0xAAAA1FAF|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                                    |[0x80000c94]:c.xor a0, a1<br> [0x80000c96]:sw a0, 656(ra)<br>  |
| 166|[0x80004498]<br>0x00000006|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                  |[0x80000ca2]:c.xor a0, a1<br> [0x80000ca4]:sw a0, 660(ra)<br>  |
| 167|[0x8000449c]<br>0x55555550|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                         |[0x80000cb4]:c.xor a0, a1<br> [0x80000cb6]:sw a0, 664(ra)<br>  |
| 168|[0x800044a0]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                        |[0x80000cc6]:c.xor a0, a1<br> [0x80000cc8]:sw a0, 668(ra)<br>  |
| 169|[0x800044a4]<br>0x00000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                  |[0x80000cd4]:c.xor a0, a1<br> [0x80000cd6]:sw a0, 672(ra)<br>  |
| 170|[0x800044a8]<br>0x33333336|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                          |[0x80000ce6]:c.xor a0, a1<br> [0x80000ce8]:sw a0, 676(ra)<br>  |
| 171|[0x800044ac]<br>0x66666663|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                         |[0x80000cf8]:c.xor a0, a1<br> [0x80000cfa]:sw a0, 680(ra)<br>  |
| 172|[0x800044b0]<br>0xFFFF4AF9|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                             |[0x80000d0a]:c.xor a0, a1<br> [0x80000d0c]:sw a0, 684(ra)<br>  |
| 173|[0x800044b4]<br>0x0000B501|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                              |[0x80000d1c]:c.xor a0, a1<br> [0x80000d1e]:sw a0, 688(ra)<br>  |
| 174|[0x800044b8]<br>0x00000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                  |[0x80000d2a]:c.xor a0, a1<br> [0x80000d2c]:sw a0, 692(ra)<br>  |
| 175|[0x800044bc]<br>0x55555551|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                         |[0x80000d3c]:c.xor a0, a1<br> [0x80000d3e]:sw a0, 696(ra)<br>  |
| 176|[0x800044c0]<br>0x00000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                  |[0x80000d4a]:c.xor a0, a1<br> [0x80000d4c]:sw a0, 700(ra)<br>  |
| 177|[0x800044c4]<br>0x00000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                  |[0x80000d58]:c.xor a0, a1<br> [0x80000d5a]:sw a0, 704(ra)<br>  |
| 178|[0x800044c8]<br>0x33333337|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                          |[0x80000d6a]:c.xor a0, a1<br> [0x80000d6c]:sw a0, 708(ra)<br>  |
| 179|[0x800044cc]<br>0x66666660|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                         |[0x80000d7c]:c.xor a0, a1<br> [0x80000d7e]:sw a0, 712(ra)<br>  |
| 180|[0x800044d0]<br>0x0000B506|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                              |[0x80000d8e]:c.xor a0, a1<br> [0x80000d90]:sw a0, 716(ra)<br>  |
| 181|[0x800044d4]<br>0x55555553|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                         |[0x80000da0]:c.xor a0, a1<br> [0x80000da2]:sw a0, 720(ra)<br>  |
| 182|[0x800044d8]<br>0xAAAAAAAE|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                        |[0x80000db2]:c.xor a0, a1<br> [0x80000db4]:sw a0, 724(ra)<br>  |
| 183|[0x800044dc]<br>0x00000003|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                  |[0x80000dc0]:c.xor a0, a1<br> [0x80000dc2]:sw a0, 728(ra)<br>  |
| 184|[0x800044e0]<br>0x33333331|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                          |[0x80000dd2]:c.xor a0, a1<br> [0x80000dd4]:sw a0, 732(ra)<br>  |
| 185|[0x800044e4]<br>0x66666662|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                         |[0x80000de4]:c.xor a0, a1<br> [0x80000de6]:sw a0, 736(ra)<br>  |
| 186|[0x800044e8]<br>0xFFFF4AF8|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                             |[0x80000df6]:c.xor a0, a1<br> [0x80000df8]:sw a0, 740(ra)<br>  |
| 187|[0x800044ec]<br>0x0000B500|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                              |[0x80000e08]:c.xor a0, a1<br> [0x80000e0a]:sw a0, 744(ra)<br>  |
| 188|[0x800044f0]<br>0x33333330|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                          |[0x80000e1a]:c.xor a0, a1<br> [0x80000e1c]:sw a0, 748(ra)<br>  |
| 189|[0x800044f4]<br>0x66666666|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                                 |[0x80000e30]:c.xor a0, a1<br> [0x80000e32]:sw a0, 752(ra)<br>  |
| 190|[0x800044f8]<br>0x99999999|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                                |[0x80000e46]:c.xor a0, a1<br> [0x80000e48]:sw a0, 756(ra)<br>  |
| 191|[0x800044fc]<br>0x33333336|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                          |[0x80000e58]:c.xor a0, a1<br> [0x80000e5a]:sw a0, 760(ra)<br>  |
| 192|[0x80004500]<br>0x00000000|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                                  |[0x80000e6e]:c.xor a0, a1<br> [0x80000e70]:sw a0, 764(ra)<br>  |
| 193|[0x80004504]<br>0x55555555|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                                 |[0x80000e84]:c.xor a0, a1<br> [0x80000e86]:sw a0, 768(ra)<br>  |
| 194|[0x80004508]<br>0xCCCC79CF|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                                     |[0x80000e9a]:c.xor a0, a1<br> [0x80000e9c]:sw a0, 772(ra)<br>  |
| 195|[0x8000450c]<br>0x33338637|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                      |[0x80000eb0]:c.xor a0, a1<br> [0x80000eb2]:sw a0, 776(ra)<br>  |
| 196|[0x80004510]<br>0x33333331|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                          |[0x80000ec2]:c.xor a0, a1<br> [0x80000ec4]:sw a0, 780(ra)<br>  |
| 197|[0x80004514]<br>0x66666667|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                                 |[0x80000ed8]:c.xor a0, a1<br> [0x80000eda]:sw a0, 784(ra)<br>  |
| 198|[0x80004518]<br>0x33333333|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                          |[0x80000eea]:c.xor a0, a1<br> [0x80000eec]:sw a0, 788(ra)<br>  |
| 199|[0x8000451c]<br>0x33333337|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                          |[0x80000efc]:c.xor a0, a1<br> [0x80000efe]:sw a0, 792(ra)<br>  |
| 200|[0x80004520]<br>0x00000001|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                                  |[0x80000f12]:c.xor a0, a1<br> [0x80000f14]:sw a0, 796(ra)<br>  |
| 201|[0x80004524]<br>0x55555556|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                                 |[0x80000f28]:c.xor a0, a1<br> [0x80000f2a]:sw a0, 800(ra)<br>  |
| 202|[0x80004528]<br>0x33338630|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                      |[0x80000f3e]:c.xor a0, a1<br> [0x80000f40]:sw a0, 804(ra)<br>  |
| 203|[0x8000452c]<br>0x66666665|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                                 |[0x80000f54]:c.xor a0, a1<br> [0x80000f56]:sw a0, 808(ra)<br>  |
| 204|[0x80004530]<br>0x99999998|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                                |[0x80000f6a]:c.xor a0, a1<br> [0x80000f6c]:sw a0, 812(ra)<br>  |
| 205|[0x80004534]<br>0x33333335|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                          |[0x80000f7c]:c.xor a0, a1<br> [0x80000f7e]:sw a0, 816(ra)<br>  |
| 206|[0x80004538]<br>0x00000007|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                                  |[0x80000f92]:c.xor a0, a1<br> [0x80000f94]:sw a0, 820(ra)<br>  |
| 207|[0x8000453c]<br>0x55555554|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                                 |[0x80000fa8]:c.xor a0, a1<br> [0x80000faa]:sw a0, 824(ra)<br>  |
| 208|[0x80004540]<br>0xCCCC79CE|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                                     |[0x80000fbe]:c.xor a0, a1<br> [0x80000fc0]:sw a0, 828(ra)<br>  |
| 209|[0x80004544]<br>0x33338636|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                      |[0x80000fd4]:c.xor a0, a1<br> [0x80000fd6]:sw a0, 832(ra)<br>  |
| 210|[0x80004548]<br>0x66666665|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                         |[0x80000fe6]:c.xor a0, a1<br> [0x80000fe8]:sw a0, 836(ra)<br>  |
| 211|[0x8000454c]<br>0x33333333|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                                |[0x80000ffc]:c.xor a0, a1<br> [0x80000ffe]:sw a0, 840(ra)<br>  |
| 212|[0x80004550]<br>0xCCCCCCCC|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                               |[0x80001012]:c.xor a0, a1<br> [0x80001014]:sw a0, 844(ra)<br>  |
| 213|[0x80004554]<br>0x66666663|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                         |[0x80001024]:c.xor a0, a1<br> [0x80001026]:sw a0, 848(ra)<br>  |
| 214|[0x80004558]<br>0x55555555|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                                 |[0x8000103a]:c.xor a0, a1<br> [0x8000103c]:sw a0, 852(ra)<br>  |
| 215|[0x8000455c]<br>0x00000000|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                                |[0x80001050]:c.xor a0, a1<br> [0x80001052]:sw a0, 856(ra)<br>  |
| 216|[0x80004560]<br>0x99992C9A|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                                    |[0x80001066]:c.xor a0, a1<br> [0x80001068]:sw a0, 860(ra)<br>  |
| 217|[0x80004564]<br>0x6666D362|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                                     |[0x8000107c]:c.xor a0, a1<br> [0x8000107e]:sw a0, 864(ra)<br>  |
| 218|[0x80004568]<br>0x66666664|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                         |[0x8000108e]:c.xor a0, a1<br> [0x80001090]:sw a0, 868(ra)<br>  |
| 219|[0x8000456c]<br>0x33333332|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                                |[0x800010a4]:c.xor a0, a1<br> [0x800010a6]:sw a0, 872(ra)<br>  |
| 220|[0x80004570]<br>0x66666666|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                         |[0x800010b6]:c.xor a0, a1<br> [0x800010b8]:sw a0, 876(ra)<br>  |
| 221|[0x80004574]<br>0x66666662|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                         |[0x800010c8]:c.xor a0, a1<br> [0x800010ca]:sw a0, 880(ra)<br>  |
| 222|[0x80004578]<br>0x55555554|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                                 |[0x800010de]:c.xor a0, a1<br> [0x800010e0]:sw a0, 884(ra)<br>  |
| 223|[0x8000457c]<br>0x00000003|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                                |[0x800010f4]:c.xor a0, a1<br> [0x800010f6]:sw a0, 888(ra)<br>  |
| 224|[0x80004580]<br>0x6666D365|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                                     |[0x8000110a]:c.xor a0, a1<br> [0x8000110c]:sw a0, 892(ra)<br>  |
| 225|[0x80004584]<br>0x33333330|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                                |[0x80001120]:c.xor a0, a1<br> [0x80001122]:sw a0, 896(ra)<br>  |
| 226|[0x80004588]<br>0xCCCCCCCD|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                               |[0x80001136]:c.xor a0, a1<br> [0x80001138]:sw a0, 900(ra)<br>  |
| 227|[0x8000458c]<br>0x66666660|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                         |[0x80001148]:c.xor a0, a1<br> [0x8000114a]:sw a0, 904(ra)<br>  |
| 228|[0x80004590]<br>0x55555552|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                                 |[0x8000115e]:c.xor a0, a1<br> [0x80001160]:sw a0, 908(ra)<br>  |
| 229|[0x80004594]<br>0x00000001|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                                |[0x80001174]:c.xor a0, a1<br> [0x80001176]:sw a0, 912(ra)<br>  |
| 230|[0x80004598]<br>0x99992C9B|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                                    |[0x8000118a]:c.xor a0, a1<br> [0x8000118c]:sw a0, 916(ra)<br>  |
| 231|[0x8000459c]<br>0x6666D363|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                                     |[0x800011a0]:c.xor a0, a1<br> [0x800011a2]:sw a0, 920(ra)<br>  |
| 232|[0x800045a0]<br>0xFFFF4AFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                             |[0x800011b2]:c.xor a0, a1<br> [0x800011b4]:sw a0, 924(ra)<br>  |
| 233|[0x800045a4]<br>0xAAAA1FA9|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                                    |[0x800011c8]:c.xor a0, a1<br> [0x800011ca]:sw a0, 928(ra)<br>  |
| 234|[0x800045a8]<br>0x5555E056|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                                   |[0x800011de]:c.xor a0, a1<br> [0x800011e0]:sw a0, 932(ra)<br>  |
| 235|[0x800045ac]<br>0xFFFF4AF9|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                             |[0x800011f0]:c.xor a0, a1<br> [0x800011f2]:sw a0, 936(ra)<br>  |
| 236|[0x800045b0]<br>0xCCCC79CF|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                                     |[0x80001206]:c.xor a0, a1<br> [0x80001208]:sw a0, 940(ra)<br>  |
| 237|[0x800045b4]<br>0x99992C9A|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                                    |[0x8000121c]:c.xor a0, a1<br> [0x8000121e]:sw a0, 944(ra)<br>  |
| 238|[0x800045b8]<br>0x00000000|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                                        |[0x80001232]:c.xor a0, a1<br> [0x80001234]:sw a0, 948(ra)<br>  |
| 239|[0x800045bc]<br>0xFFFFFFF8|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                         |[0x80001248]:c.xor a0, a1<br> [0x8000124a]:sw a0, 952(ra)<br>  |
| 240|[0x800045c0]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                             |[0x8000125a]:c.xor a0, a1<br> [0x8000125c]:sw a0, 956(ra)<br>  |
| 241|[0x800045c4]<br>0xAAAA1FA8|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                                    |[0x80001270]:c.xor a0, a1<br> [0x80001272]:sw a0, 960(ra)<br>  |
| 242|[0x800045c8]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                             |[0x80001282]:c.xor a0, a1<br> [0x80001284]:sw a0, 964(ra)<br>  |
| 243|[0x800045cc]<br>0xFFFF4AF8|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                             |[0x80001294]:c.xor a0, a1<br> [0x80001296]:sw a0, 968(ra)<br>  |
| 244|[0x800045d0]<br>0xCCCC79CE|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                                     |[0x800012aa]:c.xor a0, a1<br> [0x800012ac]:sw a0, 972(ra)<br>  |
| 245|[0x800045d4]<br>0x99992C99|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                                    |[0x800012c0]:c.xor a0, a1<br> [0x800012c2]:sw a0, 976(ra)<br>  |
| 246|[0x800045d8]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                         |[0x800012d6]:c.xor a0, a1<br> [0x800012d8]:sw a0, 980(ra)<br>  |
| 247|[0x800045dc]<br>0xAAAA1FAA|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                                    |[0x800012ec]:c.xor a0, a1<br> [0x800012ee]:sw a0, 984(ra)<br>  |
| 248|[0x800045e0]<br>0x5555E057|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                                   |[0x80001302]:c.xor a0, a1<br> [0x80001304]:sw a0, 988(ra)<br>  |
| 249|[0x800045e4]<br>0xFFFF4AFA|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                             |[0x80001314]:c.xor a0, a1<br> [0x80001316]:sw a0, 992(ra)<br>  |
| 250|[0x800045e8]<br>0xCCCC79C8|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                                     |[0x8000132a]:c.xor a0, a1<br> [0x8000132c]:sw a0, 996(ra)<br>  |
| 251|[0x800045ec]<br>0x99992C9B|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                                    |[0x80001340]:c.xor a0, a1<br> [0x80001342]:sw a0, 1000(ra)<br> |
| 252|[0x800045f0]<br>0x00000001|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                        |[0x80001356]:c.xor a0, a1<br> [0x80001358]:sw a0, 1004(ra)<br> |
| 253|[0x800045f4]<br>0xFFFFFFF9|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                         |[0x8000136c]:c.xor a0, a1<br> [0x8000136e]:sw a0, 1008(ra)<br> |
| 254|[0x800045f8]<br>0x0000B507|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                              |[0x8000137e]:c.xor a0, a1<br> [0x80001380]:sw a0, 1012(ra)<br> |
| 255|[0x800045fc]<br>0x5555E051|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                                     |[0x80001394]:c.xor a0, a1<br> [0x80001396]:sw a0, 1016(ra)<br> |
| 256|[0x80004600]<br>0xAAAA1FAE|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                                    |[0x800013aa]:c.xor a0, a1<br> [0x800013ac]:sw a0, 1020(ra)<br> |
| 257|[0x80004604]<br>0x0000B501|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                              |[0x800013bc]:c.xor a0, a1<br> [0x800013be]:sw a0, 1024(ra)<br> |
| 258|[0x80004608]<br>0x33338637|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                      |[0x800013d2]:c.xor a0, a1<br> [0x800013d4]:sw a0, 1028(ra)<br> |
| 259|[0x8000460c]<br>0x6666D362|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                                     |[0x800013e8]:c.xor a0, a1<br> [0x800013ea]:sw a0, 1032(ra)<br> |
| 260|[0x80004610]<br>0xFFFFFFF8|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                         |[0x800013fe]:c.xor a0, a1<br> [0x80001400]:sw a0, 1036(ra)<br> |
| 261|[0x80004614]<br>0x00000000|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                          |[0x80001414]:c.xor a0, a1<br> [0x80001416]:sw a0, 1040(ra)<br> |
| 262|[0x80004618]<br>0x0000B506|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                              |[0x80001426]:c.xor a0, a1<br> [0x80001428]:sw a0, 1044(ra)<br> |
| 263|[0x8000461c]<br>0x5555E050|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                                     |[0x8000143c]:c.xor a0, a1<br> [0x8000143e]:sw a0, 1048(ra)<br> |
| 264|[0x80004620]<br>0x0000B504|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                              |[0x8000144e]:c.xor a0, a1<br> [0x80001450]:sw a0, 1052(ra)<br> |
| 265|[0x80004624]<br>0x0000B500|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                              |[0x80001460]:c.xor a0, a1<br> [0x80001462]:sw a0, 1056(ra)<br> |
| 266|[0x80004628]<br>0x33338636|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                      |[0x80001476]:c.xor a0, a1<br> [0x80001478]:sw a0, 1060(ra)<br> |
| 267|[0x8000462c]<br>0x6666D361|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                                     |[0x8000148c]:c.xor a0, a1<br> [0x8000148e]:sw a0, 1064(ra)<br> |
| 268|[0x80004630]<br>0x00000007|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                          |[0x800014a2]:c.xor a0, a1<br> [0x800014a4]:sw a0, 1068(ra)<br> |
| 269|[0x80004634]<br>0x5555E052|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                                     |[0x800014b8]:c.xor a0, a1<br> [0x800014ba]:sw a0, 1072(ra)<br> |
| 270|[0x80004638]<br>0xAAAA1FAF|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                                    |[0x800014ce]:c.xor a0, a1<br> [0x800014d0]:sw a0, 1076(ra)<br> |
| 271|[0x8000463c]<br>0x0000B502|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                              |[0x800014e0]:c.xor a0, a1<br> [0x800014e2]:sw a0, 1080(ra)<br> |
| 272|[0x80004640]<br>0x33338630|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                      |[0x800014f6]:c.xor a0, a1<br> [0x800014f8]:sw a0, 1084(ra)<br> |
| 273|[0x80004644]<br>0x6666D363|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                                     |[0x8000150c]:c.xor a0, a1<br> [0x8000150e]:sw a0, 1088(ra)<br> |
| 274|[0x80004648]<br>0xFFFFFFF9|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                         |[0x80001522]:c.xor a0, a1<br> [0x80001524]:sw a0, 1092(ra)<br> |
| 275|[0x8000464c]<br>0x00000001|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                          |[0x80001538]:c.xor a0, a1<br> [0x8000153a]:sw a0, 1096(ra)<br> |
| 276|[0x80004650]<br>0x00000001|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                  |[0x80001546]:c.xor a0, a1<br> [0x80001548]:sw a0, 1100(ra)<br> |
| 277|[0x80004654]<br>0x55555557|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                         |[0x80001558]:c.xor a0, a1<br> [0x8000155a]:sw a0, 1104(ra)<br> |
| 278|[0x80004658]<br>0xAAAAAAA8|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                        |[0x8000156a]:c.xor a0, a1<br> [0x8000156c]:sw a0, 1108(ra)<br> |
| 279|[0x8000465c]<br>0x00000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                  |[0x80001578]:c.xor a0, a1<br> [0x8000157a]:sw a0, 1112(ra)<br> |
| 280|[0x80004660]<br>0x33333331|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                          |[0x8000158a]:c.xor a0, a1<br> [0x8000158c]:sw a0, 1116(ra)<br> |
| 281|[0x80004664]<br>0x66666664|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                         |[0x8000159c]:c.xor a0, a1<br> [0x8000159e]:sw a0, 1120(ra)<br> |
| 282|[0x80004668]<br>0xFFFF4AFE|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                             |[0x800015ae]:c.xor a0, a1<br> [0x800015b0]:sw a0, 1124(ra)<br> |
| 283|[0x8000466c]<br>0x0000B506|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                              |[0x800015c0]:c.xor a0, a1<br> [0x800015c2]:sw a0, 1128(ra)<br> |
| 284|[0x80004674]<br>0x55555556|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                         |[0x800015e0]:c.xor a0, a1<br> [0x800015e2]:sw a0, 1136(ra)<br> |
| 285|[0x80004678]<br>0x00000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                  |[0x800015ee]:c.xor a0, a1<br> [0x800015f0]:sw a0, 1140(ra)<br> |
| 286|[0x8000467c]<br>0x33333330|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                          |[0x80001600]:c.xor a0, a1<br> [0x80001602]:sw a0, 1144(ra)<br> |
| 287|[0x80004680]<br>0x66666667|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                         |[0x80001612]:c.xor a0, a1<br> [0x80001614]:sw a0, 1148(ra)<br> |
| 288|[0x80004684]<br>0x0000B501|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                              |[0x80001624]:c.xor a0, a1<br> [0x80001626]:sw a0, 1152(ra)<br> |
| 289|[0x80004688]<br>0x55555554|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                         |[0x80001636]:c.xor a0, a1<br> [0x80001638]:sw a0, 1156(ra)<br> |
| 290|[0x8000468c]<br>0xAAAAAAA9|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                        |[0x80001648]:c.xor a0, a1<br> [0x8000164a]:sw a0, 1160(ra)<br> |
| 291|[0x80004690]<br>0x00000004|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                  |[0x80001656]:c.xor a0, a1<br> [0x80001658]:sw a0, 1164(ra)<br> |
| 292|[0x80004694]<br>0x33333336|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                          |[0x80001668]:c.xor a0, a1<br> [0x8000166a]:sw a0, 1168(ra)<br> |
| 293|[0x80004698]<br>0x66666665|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                         |[0x8000167a]:c.xor a0, a1<br> [0x8000167c]:sw a0, 1172(ra)<br> |
| 294|[0x8000469c]<br>0xFFFF4AFF|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                             |[0x8000168c]:c.xor a0, a1<br> [0x8000168e]:sw a0, 1176(ra)<br> |
| 295|[0x800046a0]<br>0x0000B507|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                              |[0x8000169e]:c.xor a0, a1<br> [0x800016a0]:sw a0, 1180(ra)<br> |
| 296|[0x800046a4]<br>0x55555557|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                         |[0x800016b0]:c.xor a0, a1<br> [0x800016b2]:sw a0, 1184(ra)<br> |
| 297|[0x800046a8]<br>0x00000001|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                                |[0x800016c6]:c.xor a0, a1<br> [0x800016c8]:sw a0, 1188(ra)<br> |
| 298|[0x800046ac]<br>0xFFFFFFFE|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                               |[0x800016dc]:c.xor a0, a1<br> [0x800016de]:sw a0, 1192(ra)<br> |
| 299|[0x800046b0]<br>0x55555551|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                         |[0x800016ee]:c.xor a0, a1<br> [0x800016f0]:sw a0, 1196(ra)<br> |
| 300|[0x800046b4]<br>0x66666667|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                                 |[0x80001704]:c.xor a0, a1<br> [0x80001706]:sw a0, 1200(ra)<br> |
| 301|[0x800046b8]<br>0x33333332|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                                |[0x8000171a]:c.xor a0, a1<br> [0x8000171c]:sw a0, 1204(ra)<br> |
| 302|[0x800046bc]<br>0xAAAA1FA8|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                                    |[0x80001730]:c.xor a0, a1<br> [0x80001732]:sw a0, 1208(ra)<br> |
| 303|[0x800046c0]<br>0x5555E050|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                                     |[0x80001746]:c.xor a0, a1<br> [0x80001748]:sw a0, 1212(ra)<br> |
| 304|[0x800046c4]<br>0x55555556|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                         |[0x80001758]:c.xor a0, a1<br> [0x8000175a]:sw a0, 1216(ra)<br> |
| 305|[0x800046c8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                                |[0x8000176e]:c.xor a0, a1<br> [0x80001770]:sw a0, 1220(ra)<br> |
| 306|[0x800046cc]<br>0x55555554|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                         |[0x80001780]:c.xor a0, a1<br> [0x80001782]:sw a0, 1224(ra)<br> |
| 307|[0x800046d0]<br>0x55555550|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                         |[0x80001792]:c.xor a0, a1<br> [0x80001794]:sw a0, 1228(ra)<br> |
| 308|[0x800046d4]<br>0x66666666|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                                 |[0x800017a8]:c.xor a0, a1<br> [0x800017aa]:sw a0, 1232(ra)<br> |
| 309|[0x800046d8]<br>0x33333331|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                                |[0x800017be]:c.xor a0, a1<br> [0x800017c0]:sw a0, 1236(ra)<br> |
| 310|[0x800046dc]<br>0x5555E057|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                                     |[0x800017d4]:c.xor a0, a1<br> [0x800017d6]:sw a0, 1240(ra)<br> |
| 311|[0x800046e0]<br>0x00000002|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                                |[0x800017ea]:c.xor a0, a1<br> [0x800017ec]:sw a0, 1244(ra)<br> |
| 312|[0x800046e4]<br>0xFFFFFFFF|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                               |[0x80001800]:c.xor a0, a1<br> [0x80001802]:sw a0, 1248(ra)<br> |
| 313|[0x800046e8]<br>0x55555552|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                         |[0x80001812]:c.xor a0, a1<br> [0x80001814]:sw a0, 1252(ra)<br> |
| 314|[0x800046ec]<br>0x66666660|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                                 |[0x80001828]:c.xor a0, a1<br> [0x8000182a]:sw a0, 1256(ra)<br> |
| 315|[0x800046f0]<br>0x33333333|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                                |[0x8000183e]:c.xor a0, a1<br> [0x80001840]:sw a0, 1260(ra)<br> |
| 316|[0x800046f4]<br>0xAAAA1FA9|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                                    |[0x80001854]:c.xor a0, a1<br> [0x80001856]:sw a0, 1264(ra)<br> |
| 317|[0x800046f8]<br>0x5555E051|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                                     |[0x8000186a]:c.xor a0, a1<br> [0x8000186c]:sw a0, 1268(ra)<br> |
| 318|[0x800046fc]<br>0x00000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                  |[0x80001878]:c.xor a0, a1<br> [0x8000187a]:sw a0, 1272(ra)<br> |
| 319|[0x80004700]<br>0x55555555|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                         |[0x8000188a]:c.xor a0, a1<br> [0x8000188c]:sw a0, 1276(ra)<br> |
| 320|[0x80004704]<br>0xAAAAAAAA|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                        |[0x8000189c]:c.xor a0, a1<br> [0x8000189e]:sw a0, 1280(ra)<br> |
| 321|[0x80004708]<br>0x00000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                  |[0x800018aa]:c.xor a0, a1<br> [0x800018ac]:sw a0, 1284(ra)<br> |
| 322|[0x8000470c]<br>0x33333333|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                          |[0x800018bc]:c.xor a0, a1<br> [0x800018be]:sw a0, 1288(ra)<br> |
| 323|[0x80004710]<br>0x66666666|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                         |[0x800018ce]:c.xor a0, a1<br> [0x800018d0]:sw a0, 1292(ra)<br> |
| 324|[0x80004714]<br>0xFFFF4AFC|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                             |[0x800018e0]:c.xor a0, a1<br> [0x800018e2]:sw a0, 1296(ra)<br> |
| 325|[0x80004718]<br>0x5555E056|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                                   |[0x800018f6]:c.xor a0, a1<br> [0x800018f8]:sw a0, 1300(ra)<br> |
| 326|[0x8000471c]<br>0xAAAA1FAE|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                                    |[0x8000190c]:c.xor a0, a1<br> [0x8000190e]:sw a0, 1304(ra)<br> |
| 327|[0x80004720]<br>0x00000005|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                  |[0x8000191a]:c.xor a0, a1<br> [0x8000191c]:sw a0, 1308(ra)<br> |
| 328|[0x80004724]<br>0x55555553|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                         |[0x8000192c]:c.xor a0, a1<br> [0x8000192e]:sw a0, 1312(ra)<br> |
| 329|[0x80004728]<br>0xAAAAAAAC|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                        |[0x8000193e]:c.xor a0, a1<br> [0x80001940]:sw a0, 1316(ra)<br> |
| 330|[0x8000472c]<br>0x00000003|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                  |[0x8000194c]:c.xor a0, a1<br> [0x8000194e]:sw a0, 1320(ra)<br> |
| 331|[0x80004730]<br>0x33333335|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                          |[0x8000195e]:c.xor a0, a1<br> [0x80001960]:sw a0, 1324(ra)<br> |
| 332|[0x80004734]<br>0x66666660|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                         |[0x80001970]:c.xor a0, a1<br> [0x80001972]:sw a0, 1328(ra)<br> |
| 333|[0x80004738]<br>0xFFFF4AFA|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                             |[0x80001982]:c.xor a0, a1<br> [0x80001984]:sw a0, 1332(ra)<br> |
| 334|[0x8000473c]<br>0x0000B502|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                              |[0x80001994]:c.xor a0, a1<br> [0x80001996]:sw a0, 1336(ra)<br> |
| 335|[0x80004740]<br>0x00000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                  |[0x800019a2]:c.xor a0, a1<br> [0x800019a4]:sw a0, 1340(ra)<br> |
| 336|[0x80004744]<br>0x55555552|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                         |[0x800019b4]:c.xor a0, a1<br> [0x800019b6]:sw a0, 1344(ra)<br> |
| 337|[0x80004748]<br>0x00000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                  |[0x800019c2]:c.xor a0, a1<br> [0x800019c4]:sw a0, 1348(ra)<br> |
| 338|[0x8000474c]<br>0x00000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                  |[0x800019d0]:c.xor a0, a1<br> [0x800019d2]:sw a0, 1352(ra)<br> |
| 339|[0x80004750]<br>0x33333334|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                          |[0x800019e2]:c.xor a0, a1<br> [0x800019e4]:sw a0, 1356(ra)<br> |
| 340|[0x80004754]<br>0x66666663|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                         |[0x800019f4]:c.xor a0, a1<br> [0x800019f6]:sw a0, 1360(ra)<br> |
| 341|[0x80004758]<br>0x0000B505|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                              |[0x80001a06]:c.xor a0, a1<br> [0x80001a08]:sw a0, 1364(ra)<br> |
| 342|[0x8000475c]<br>0x55555550|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                         |[0x80001a18]:c.xor a0, a1<br> [0x80001a1a]:sw a0, 1368(ra)<br> |
| 343|[0x80004760]<br>0xAAAAAAAD|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                        |[0x80001a2a]:c.xor a0, a1<br> [0x80001a2c]:sw a0, 1372(ra)<br> |
| 344|[0x80004764]<br>0x00000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                  |[0x80001a38]:c.xor a0, a1<br> [0x80001a3a]:sw a0, 1376(ra)<br> |
| 345|[0x80004768]<br>0x33333332|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                          |[0x80001a4a]:c.xor a0, a1<br> [0x80001a4c]:sw a0, 1380(ra)<br> |
| 346|[0x8000476c]<br>0x66666661|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                         |[0x80001a5c]:c.xor a0, a1<br> [0x80001a5e]:sw a0, 1384(ra)<br> |
| 347|[0x80004770]<br>0xFFFF4AFB|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                             |[0x80001a6e]:c.xor a0, a1<br> [0x80001a70]:sw a0, 1388(ra)<br> |
| 348|[0x80004774]<br>0x0000B503|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                              |[0x80001a80]:c.xor a0, a1<br> [0x80001a82]:sw a0, 1392(ra)<br> |
| 349|[0x80004778]<br>0x33333337|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                          |[0x80001a92]:c.xor a0, a1<br> [0x80001a94]:sw a0, 1396(ra)<br> |
| 350|[0x8000477c]<br>0x66666661|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                                 |[0x80001aa8]:c.xor a0, a1<br> [0x80001aaa]:sw a0, 1400(ra)<br> |
| 351|[0x80004780]<br>0x9999999E|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                                |[0x80001abe]:c.xor a0, a1<br> [0x80001ac0]:sw a0, 1404(ra)<br> |
| 352|[0x80004784]<br>0x33333331|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                          |[0x80001ad0]:c.xor a0, a1<br> [0x80001ad2]:sw a0, 1408(ra)<br> |
| 353|[0x80004788]<br>0x00000007|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                                  |[0x80001ae6]:c.xor a0, a1<br> [0x80001ae8]:sw a0, 1412(ra)<br> |
| 354|[0x8000478c]<br>0x55555552|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                                 |[0x80001afc]:c.xor a0, a1<br> [0x80001afe]:sw a0, 1416(ra)<br> |
| 355|[0x80004790]<br>0xCCCC79C8|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                                     |[0x80001b12]:c.xor a0, a1<br> [0x80001b14]:sw a0, 1420(ra)<br> |
| 356|[0x80004794]<br>0x33338630|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                      |[0x80001b28]:c.xor a0, a1<br> [0x80001b2a]:sw a0, 1424(ra)<br> |
| 357|[0x80004798]<br>0x33333336|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                          |[0x80001b3a]:c.xor a0, a1<br> [0x80001b3c]:sw a0, 1428(ra)<br> |
| 358|[0x8000479c]<br>0x66666660|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                                 |[0x80001b50]:c.xor a0, a1<br> [0x80001b52]:sw a0, 1432(ra)<br> |
| 359|[0x800047a0]<br>0x33333334|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                          |[0x80001b62]:c.xor a0, a1<br> [0x80001b64]:sw a0, 1436(ra)<br> |
| 360|[0x800047a4]<br>0x33333330|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                          |[0x80001b74]:c.xor a0, a1<br> [0x80001b76]:sw a0, 1440(ra)<br> |
| 361|[0x800047a8]<br>0x00000006|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                                  |[0x80001b8a]:c.xor a0, a1<br> [0x80001b8c]:sw a0, 1444(ra)<br> |
| 362|[0x800047ac]<br>0x55555551|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                                 |[0x80001ba0]:c.xor a0, a1<br> [0x80001ba2]:sw a0, 1448(ra)<br> |
| 363|[0x800047b0]<br>0x33338637|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                      |[0x80001bb6]:c.xor a0, a1<br> [0x80001bb8]:sw a0, 1452(ra)<br> |
| 364|[0x800047b4]<br>0x66666662|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                                 |[0x80001bcc]:c.xor a0, a1<br> [0x80001bce]:sw a0, 1456(ra)<br> |
| 365|[0x800047b8]<br>0x9999999F|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                                |[0x80001be2]:c.xor a0, a1<br> [0x80001be4]:sw a0, 1460(ra)<br> |
| 366|[0x800047bc]<br>0x33333332|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                          |[0x80001bf4]:c.xor a0, a1<br> [0x80001bf6]:sw a0, 1464(ra)<br> |
| 367|[0x800047c0]<br>0x00000000|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                                  |[0x80001c0a]:c.xor a0, a1<br> [0x80001c0c]:sw a0, 1468(ra)<br> |
| 368|[0x800047c4]<br>0x55555553|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                                 |[0x80001c20]:c.xor a0, a1<br> [0x80001c22]:sw a0, 1472(ra)<br> |
| 369|[0x800047c8]<br>0xCCCC79C9|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                                     |[0x80001c36]:c.xor a0, a1<br> [0x80001c38]:sw a0, 1476(ra)<br> |
| 370|[0x800047cc]<br>0x33338631|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                      |[0x80001c4c]:c.xor a0, a1<br> [0x80001c4e]:sw a0, 1480(ra)<br> |
| 371|[0x800047d0]<br>0x66666664|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                         |[0x80001c5e]:c.xor a0, a1<br> [0x80001c60]:sw a0, 1484(ra)<br> |
| 372|[0x800047d4]<br>0x33333332|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                                |[0x80001c74]:c.xor a0, a1<br> [0x80001c76]:sw a0, 1488(ra)<br> |
| 373|[0x800047d8]<br>0xCCCCCCCD|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                               |[0x80001c8a]:c.xor a0, a1<br> [0x80001c8c]:sw a0, 1492(ra)<br> |
| 374|[0x800047dc]<br>0x66666662|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                         |[0x80001c9c]:c.xor a0, a1<br> [0x80001c9e]:sw a0, 1496(ra)<br> |
| 375|[0x800047e0]<br>0x55555554|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                                 |[0x80001cb2]:c.xor a0, a1<br> [0x80001cb4]:sw a0, 1500(ra)<br> |
| 376|[0x800047e4]<br>0x00000001|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                                |[0x80001cc8]:c.xor a0, a1<br> [0x80001cca]:sw a0, 1504(ra)<br> |
| 377|[0x800047e8]<br>0x99992C9B|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                                    |[0x80001cde]:c.xor a0, a1<br> [0x80001ce0]:sw a0, 1508(ra)<br> |
| 378|[0x800047ec]<br>0x6666D363|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                                     |[0x80001cf4]:c.xor a0, a1<br> [0x80001cf6]:sw a0, 1512(ra)<br> |
| 379|[0x800047f0]<br>0x66666665|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                         |[0x80001d06]:c.xor a0, a1<br> [0x80001d08]:sw a0, 1516(ra)<br> |
| 380|[0x800047f4]<br>0x33333333|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                                |[0x80001d1c]:c.xor a0, a1<br> [0x80001d1e]:sw a0, 1520(ra)<br> |
| 381|[0x800047f8]<br>0x66666667|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                         |[0x80001d2e]:c.xor a0, a1<br> [0x80001d30]:sw a0, 1524(ra)<br> |
| 382|[0x800047fc]<br>0x66666663|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                         |[0x80001d40]:c.xor a0, a1<br> [0x80001d42]:sw a0, 1528(ra)<br> |
| 383|[0x80004800]<br>0x55555555|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                                 |[0x80001d56]:c.xor a0, a1<br> [0x80001d58]:sw a0, 1532(ra)<br> |
| 384|[0x80004804]<br>0x00000002|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                                |[0x80001d6c]:c.xor a0, a1<br> [0x80001d6e]:sw a0, 1536(ra)<br> |
| 385|[0x80004808]<br>0x6666D364|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                                     |[0x80001d82]:c.xor a0, a1<br> [0x80001d84]:sw a0, 1540(ra)<br> |
| 386|[0x8000480c]<br>0x33333331|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                                |[0x80001d98]:c.xor a0, a1<br> [0x80001d9a]:sw a0, 1544(ra)<br> |
| 387|[0x80004810]<br>0xCCCCCCCC|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                               |[0x80001dae]:c.xor a0, a1<br> [0x80001db0]:sw a0, 1548(ra)<br> |
| 388|[0x80004814]<br>0x66666661|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                         |[0x80001dc0]:c.xor a0, a1<br> [0x80001dc2]:sw a0, 1552(ra)<br> |
| 389|[0x80004818]<br>0x55555553|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                                 |[0x80001dd6]:c.xor a0, a1<br> [0x80001dd8]:sw a0, 1556(ra)<br> |
| 390|[0x8000481c]<br>0x00000000|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                                |[0x80001dec]:c.xor a0, a1<br> [0x80001dee]:sw a0, 1560(ra)<br> |
| 391|[0x80004820]<br>0x99992C9A|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                                    |[0x80001e02]:c.xor a0, a1<br> [0x80001e04]:sw a0, 1564(ra)<br> |
| 392|[0x80004824]<br>0x6666D362|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                                     |[0x80001e18]:c.xor a0, a1<br> [0x80001e1a]:sw a0, 1568(ra)<br> |
| 393|[0x80004828]<br>0xFFFF4AFE|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                             |[0x80001e2a]:c.xor a0, a1<br> [0x80001e2c]:sw a0, 1572(ra)<br> |
| 394|[0x8000482c]<br>0xAAAA1FA8|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                                    |[0x80001e40]:c.xor a0, a1<br> [0x80001e42]:sw a0, 1576(ra)<br> |
| 395|[0x80004830]<br>0xFFFF4AF8|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                             |[0x80001e52]:c.xor a0, a1<br> [0x80001e54]:sw a0, 1580(ra)<br> |
| 396|[0x80004834]<br>0xCCCC79CE|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                                     |[0x80001e68]:c.xor a0, a1<br> [0x80001e6a]:sw a0, 1584(ra)<br> |
| 397|[0x80004838]<br>0x99992C9B|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                                    |[0x80001e7e]:c.xor a0, a1<br> [0x80001e80]:sw a0, 1588(ra)<br> |
| 398|[0x8000483c]<br>0x00000001|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                        |[0x80001e94]:c.xor a0, a1<br> [0x80001e96]:sw a0, 1592(ra)<br> |
| 399|[0x80004840]<br>0xFFFFFFF9|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                         |[0x80001eaa]:c.xor a0, a1<br> [0x80001eac]:sw a0, 1596(ra)<br> |
| 400|[0x80004844]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                             |[0x80001ebc]:c.xor a0, a1<br> [0x80001ebe]:sw a0, 1600(ra)<br> |
| 401|[0x80004848]<br>0xAAAA1FA9|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                                    |[0x80001ed2]:c.xor a0, a1<br> [0x80001ed4]:sw a0, 1604(ra)<br> |
| 402|[0x8000484c]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                             |[0x80001ee4]:c.xor a0, a1<br> [0x80001ee6]:sw a0, 1608(ra)<br> |
| 403|[0x80004850]<br>0xFFFF4AF9|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                             |[0x80001ef6]:c.xor a0, a1<br> [0x80001ef8]:sw a0, 1612(ra)<br> |
| 404|[0x80004854]<br>0xCCCC79CF|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                                     |[0x80001f0c]:c.xor a0, a1<br> [0x80001f0e]:sw a0, 1616(ra)<br> |
| 405|[0x80004858]<br>0x99992C98|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                                    |[0x80001f22]:c.xor a0, a1<br> [0x80001f24]:sw a0, 1620(ra)<br> |
| 406|[0x8000485c]<br>0xFFFFFFFE|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                         |[0x80001f38]:c.xor a0, a1<br> [0x80001f3a]:sw a0, 1624(ra)<br> |
| 407|[0x80004860]<br>0xAAAA1FAB|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                                    |[0x80001f4e]:c.xor a0, a1<br> [0x80001f50]:sw a0, 1628(ra)<br> |
| 408|[0x80004864]<br>0x5555E056|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                                   |[0x80001f64]:c.xor a0, a1<br> [0x80001f66]:sw a0, 1632(ra)<br> |
| 409|[0x80004868]<br>0xFFFF4AFB|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                             |[0x80001f76]:c.xor a0, a1<br> [0x80001f78]:sw a0, 1636(ra)<br> |
| 410|[0x8000486c]<br>0xCCCC79C9|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                                     |[0x80001f8c]:c.xor a0, a1<br> [0x80001f8e]:sw a0, 1640(ra)<br> |
| 411|[0x80004870]<br>0x99992C9A|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                                    |[0x80001fa2]:c.xor a0, a1<br> [0x80001fa4]:sw a0, 1644(ra)<br> |
| 412|[0x80004874]<br>0x00000000|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                        |[0x80001fb8]:c.xor a0, a1<br> [0x80001fba]:sw a0, 1648(ra)<br> |
| 413|[0x80004878]<br>0xFFFFFFF8|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                         |[0x80001fce]:c.xor a0, a1<br> [0x80001fd0]:sw a0, 1652(ra)<br> |
| 414|[0x8000487c]<br>0x0000B506|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                              |[0x80001fe0]:c.xor a0, a1<br> [0x80001fe2]:sw a0, 1656(ra)<br> |
| 415|[0x80004880]<br>0x5555E050|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                                     |[0x80001ff6]:c.xor a0, a1<br> [0x80001ff8]:sw a0, 1660(ra)<br> |
| 416|[0x80004884]<br>0xAAAA1FAF|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                                    |[0x8000200c]:c.xor a0, a1<br> [0x8000200e]:sw a0, 1664(ra)<br> |
| 417|[0x80004888]<br>0x0000B500|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                              |[0x8000201e]:c.xor a0, a1<br> [0x80002020]:sw a0, 1668(ra)<br> |
| 418|[0x8000488c]<br>0x33338636|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                      |[0x80002034]:c.xor a0, a1<br> [0x80002036]:sw a0, 1672(ra)<br> |
| 419|[0x80004890]<br>0x6666D363|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                                     |[0x8000204a]:c.xor a0, a1<br> [0x8000204c]:sw a0, 1676(ra)<br> |
| 420|[0x80004894]<br>0xFFFFFFF9|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                         |[0x80002060]:c.xor a0, a1<br> [0x80002062]:sw a0, 1680(ra)<br> |
| 421|[0x80004898]<br>0x00000001|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                          |[0x80002076]:c.xor a0, a1<br> [0x80002078]:sw a0, 1684(ra)<br> |
| 422|[0x8000489c]<br>0x0000B507|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                              |[0x80002088]:c.xor a0, a1<br> [0x8000208a]:sw a0, 1688(ra)<br> |
| 423|[0x800048a0]<br>0x5555E051|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                                     |[0x8000209e]:c.xor a0, a1<br> [0x800020a0]:sw a0, 1692(ra)<br> |
| 424|[0x800048a4]<br>0x0000B505|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                              |[0x800020b0]:c.xor a0, a1<br> [0x800020b2]:sw a0, 1696(ra)<br> |
| 425|[0x800048a8]<br>0x0000B501|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                              |[0x800020c2]:c.xor a0, a1<br> [0x800020c4]:sw a0, 1700(ra)<br> |
| 426|[0x800048ac]<br>0x33338637|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                      |[0x800020d8]:c.xor a0, a1<br> [0x800020da]:sw a0, 1704(ra)<br> |
| 427|[0x800048b0]<br>0x6666D360|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                                     |[0x800020ee]:c.xor a0, a1<br> [0x800020f0]:sw a0, 1708(ra)<br> |
| 428|[0x800048b4]<br>0x00000006|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                          |[0x80002104]:c.xor a0, a1<br> [0x80002106]:sw a0, 1712(ra)<br> |
| 429|[0x800048b8]<br>0x5555E053|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                                     |[0x8000211a]:c.xor a0, a1<br> [0x8000211c]:sw a0, 1716(ra)<br> |
| 430|[0x800048bc]<br>0xAAAA1FAE|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                                    |[0x80002130]:c.xor a0, a1<br> [0x80002132]:sw a0, 1720(ra)<br> |
| 431|[0x800048c0]<br>0x0000B503|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                              |[0x80002142]:c.xor a0, a1<br> [0x80002144]:sw a0, 1724(ra)<br> |
| 432|[0x800048c4]<br>0x33338631|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                      |[0x80002158]:c.xor a0, a1<br> [0x8000215a]:sw a0, 1728(ra)<br> |
| 433|[0x800048c8]<br>0x6666D362|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                                     |[0x8000216e]:c.xor a0, a1<br> [0x80002170]:sw a0, 1732(ra)<br> |
| 434|[0x800048cc]<br>0xFFFFFFF8|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                         |[0x80002184]:c.xor a0, a1<br> [0x80002186]:sw a0, 1736(ra)<br> |
| 435|[0x800048d0]<br>0x00000000|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                          |[0x8000219a]:c.xor a0, a1<br> [0x8000219c]:sw a0, 1740(ra)<br> |
| 436|[0x800048d4]<br>0x0000B504|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                              |[0x800021ac]:c.xor a0, a1<br> [0x800021ae]:sw a0, 1744(ra)<br> |
| 437|[0x800048d8]<br>0x00000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                  |[0x800021ba]:c.xor a0, a1<br> [0x800021bc]:sw a0, 1748(ra)<br> |
| 438|[0x800048dc]<br>0x55555554|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                         |[0x800021cc]:c.xor a0, a1<br> [0x800021ce]:sw a0, 1752(ra)<br> |
| 439|[0x800048e0]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                  |[0x800021da]:c.xor a0, a1<br> [0x800021dc]:sw a0, 1756(ra)<br> |
| 440|[0x800048e4]<br>0x00000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                  |[0x800021e8]:c.xor a0, a1<br> [0x800021ea]:sw a0, 1760(ra)<br> |
| 441|[0x800048e8]<br>0x33333332|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                          |[0x800021fa]:c.xor a0, a1<br> [0x800021fc]:sw a0, 1764(ra)<br> |
| 442|[0x800048ec]<br>0x66666665|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                         |[0x8000220c]:c.xor a0, a1<br> [0x8000220e]:sw a0, 1768(ra)<br> |
| 443|[0x800048f0]<br>0x0000B503|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                              |[0x8000221e]:c.xor a0, a1<br> [0x80002220]:sw a0, 1772(ra)<br> |
| 444|[0x800048f4]<br>0x55555556|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                         |[0x80002230]:c.xor a0, a1<br> [0x80002232]:sw a0, 1776(ra)<br> |
| 445|[0x800048f8]<br>0xAAAAAAAB|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                        |[0x80002242]:c.xor a0, a1<br> [0x80002244]:sw a0, 1780(ra)<br> |
| 446|[0x800048fc]<br>0x00000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                  |[0x80002250]:c.xor a0, a1<br> [0x80002252]:sw a0, 1784(ra)<br> |
| 447|[0x80004900]<br>0x33333334|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                          |[0x80002262]:c.xor a0, a1<br> [0x80002264]:sw a0, 1788(ra)<br> |
| 448|[0x80004904]<br>0x66666667|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                         |[0x80002274]:c.xor a0, a1<br> [0x80002276]:sw a0, 1792(ra)<br> |
| 449|[0x80004908]<br>0xFFFF4AFD|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                             |[0x80002286]:c.xor a0, a1<br> [0x80002288]:sw a0, 1796(ra)<br> |
| 450|[0x8000490c]<br>0x0000B505|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                              |[0x80002298]:c.xor a0, a1<br> [0x8000229a]:sw a0, 1800(ra)<br> |
| 451|[0x80004910]<br>0x00000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                  |[0x800022a6]:c.xor a0, a1<br> [0x800022a8]:sw a0, 1804(ra)<br> |
| 452|[0x80004914]<br>0x55555551|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                         |[0x800022b8]:c.xor a0, a1<br> [0x800022ba]:sw a0, 1808(ra)<br> |
| 453|[0x80004918]<br>0xAAAAAAAE|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                        |[0x800022ca]:c.xor a0, a1<br> [0x800022cc]:sw a0, 1812(ra)<br> |
| 454|[0x8000491c]<br>0x00000001|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                  |[0x800022d8]:c.xor a0, a1<br> [0x800022da]:sw a0, 1816(ra)<br> |
| 455|[0x80004920]<br>0x33333337|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                          |[0x800022ea]:c.xor a0, a1<br> [0x800022ec]:sw a0, 1820(ra)<br> |
| 456|[0x80004924]<br>0x66666662|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                         |[0x800022fc]:c.xor a0, a1<br> [0x800022fe]:sw a0, 1824(ra)<br> |
| 457|[0x80004928]<br>0xFFFF4AF8|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                             |[0x8000230e]:c.xor a0, a1<br> [0x80002310]:sw a0, 1828(ra)<br> |
| 458|[0x8000492c]<br>0x0000B500|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                              |[0x80002320]:c.xor a0, a1<br> [0x80002322]:sw a0, 1832(ra)<br> |
| 459|[0x80004930]<br>0x00000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                  |[0x8000232e]:c.xor a0, a1<br> [0x80002330]:sw a0, 1836(ra)<br> |
| 460|[0x80004934]<br>0x55555550|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                         |[0x80002340]:c.xor a0, a1<br> [0x80002342]:sw a0, 1840(ra)<br> |
| 461|[0x80004938]<br>0x00000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                  |[0x8000234e]:c.xor a0, a1<br> [0x80002350]:sw a0, 1844(ra)<br> |
| 462|[0x8000493c]<br>0x00000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                  |[0x8000235c]:c.xor a0, a1<br> [0x8000235e]:sw a0, 1848(ra)<br> |
| 463|[0x80004940]<br>0x33333336|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                          |[0x8000236e]:c.xor a0, a1<br> [0x80002370]:sw a0, 1852(ra)<br> |
| 464|[0x80004944]<br>0x66666661|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                         |[0x80002380]:c.xor a0, a1<br> [0x80002382]:sw a0, 1856(ra)<br> |
| 465|[0x80004948]<br>0x0000B507|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                              |[0x80002392]:c.xor a0, a1<br> [0x80002394]:sw a0, 1860(ra)<br> |
| 466|[0x8000494c]<br>0x55555552|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                         |[0x800023a4]:c.xor a0, a1<br> [0x800023a6]:sw a0, 1864(ra)<br> |
| 467|[0x80004950]<br>0xAAAAAAAF|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                        |[0x800023b6]:c.xor a0, a1<br> [0x800023b8]:sw a0, 1868(ra)<br> |
| 468|[0x80004954]<br>0x00000002|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                  |[0x800023c4]:c.xor a0, a1<br> [0x800023c6]:sw a0, 1872(ra)<br> |
| 469|[0x80004958]<br>0x33333330|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                          |[0x800023d6]:c.xor a0, a1<br> [0x800023d8]:sw a0, 1876(ra)<br> |
| 470|[0x8000495c]<br>0x66666663|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                         |[0x800023e8]:c.xor a0, a1<br> [0x800023ea]:sw a0, 1880(ra)<br> |
| 471|[0x80004960]<br>0xFFFF4AF9|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                             |[0x800023fa]:c.xor a0, a1<br> [0x800023fc]:sw a0, 1884(ra)<br> |
| 472|[0x80004964]<br>0x0000B501|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                              |[0x8000240c]:c.xor a0, a1<br> [0x8000240e]:sw a0, 1888(ra)<br> |
| 473|[0x80004968]<br>0x33333331|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                          |[0x8000241e]:c.xor a0, a1<br> [0x80002420]:sw a0, 1892(ra)<br> |
| 474|[0x8000496c]<br>0x66666667|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                                 |[0x80002434]:c.xor a0, a1<br> [0x80002436]:sw a0, 1896(ra)<br> |
| 475|[0x80004970]<br>0x99999998|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                                |[0x8000244a]:c.xor a0, a1<br> [0x8000244c]:sw a0, 1900(ra)<br> |
| 476|[0x80004974]<br>0x33333337|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                          |[0x8000245c]:c.xor a0, a1<br> [0x8000245e]:sw a0, 1904(ra)<br> |
| 477|[0x80004978]<br>0x00000001|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                                  |[0x80002472]:c.xor a0, a1<br> [0x80002474]:sw a0, 1908(ra)<br> |
| 478|[0x8000497c]<br>0x55555554|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                                 |[0x80002488]:c.xor a0, a1<br> [0x8000248a]:sw a0, 1912(ra)<br> |
| 479|[0x80004980]<br>0xCCCC79CE|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                                     |[0x8000249e]:c.xor a0, a1<br> [0x800024a0]:sw a0, 1916(ra)<br> |
| 480|[0x80004984]<br>0x33338636|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                      |[0x800024b4]:c.xor a0, a1<br> [0x800024b6]:sw a0, 1920(ra)<br> |
| 481|[0x80004988]<br>0x33333330|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                          |[0x800024c6]:c.xor a0, a1<br> [0x800024c8]:sw a0, 1924(ra)<br> |
| 482|[0x8000498c]<br>0x66666666|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                                 |[0x800024dc]:c.xor a0, a1<br> [0x800024de]:sw a0, 1928(ra)<br> |
| 483|[0x80004990]<br>0x33333332|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                          |[0x800024ee]:c.xor a0, a1<br> [0x800024f0]:sw a0, 1932(ra)<br> |
| 484|[0x80004994]<br>0x33333336|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                          |[0x80002500]:c.xor a0, a1<br> [0x80002502]:sw a0, 1936(ra)<br> |
| 485|[0x80004998]<br>0x00000000|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                                  |[0x80002516]:c.xor a0, a1<br> [0x80002518]:sw a0, 1940(ra)<br> |
| 486|[0x8000499c]<br>0x55555557|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                                 |[0x8000252c]:c.xor a0, a1<br> [0x8000252e]:sw a0, 1944(ra)<br> |
| 487|[0x800049a0]<br>0x33338631|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                      |[0x80002542]:c.xor a0, a1<br> [0x80002544]:sw a0, 1948(ra)<br> |
| 488|[0x800049a4]<br>0x66666664|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                                 |[0x80002558]:c.xor a0, a1<br> [0x8000255a]:sw a0, 1952(ra)<br> |
| 489|[0x800049a8]<br>0x99999999|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                                |[0x8000256e]:c.xor a0, a1<br> [0x80002570]:sw a0, 1956(ra)<br> |
| 490|[0x800049ac]<br>0x33333334|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                          |[0x80002580]:c.xor a0, a1<br> [0x80002582]:sw a0, 1960(ra)<br> |
| 491|[0x800049b0]<br>0x00000006|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                                  |[0x80002596]:c.xor a0, a1<br> [0x80002598]:sw a0, 1964(ra)<br> |
| 492|[0x800049b4]<br>0x55555555|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                                 |[0x800025ac]:c.xor a0, a1<br> [0x800025ae]:sw a0, 1968(ra)<br> |
| 493|[0x800049b8]<br>0xCCCC79CF|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                                     |[0x800025c2]:c.xor a0, a1<br> [0x800025c4]:sw a0, 1972(ra)<br> |
| 494|[0x800049bc]<br>0x33338637|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                      |[0x800025d8]:c.xor a0, a1<br> [0x800025da]:sw a0, 1976(ra)<br> |
| 495|[0x800049c0]<br>0x66666666|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                         |[0x800025ea]:c.xor a0, a1<br> [0x800025ec]:sw a0, 1980(ra)<br> |
| 496|[0x800049c4]<br>0x33333330|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                                |[0x80002600]:c.xor a0, a1<br> [0x80002602]:sw a0, 1984(ra)<br> |
| 497|[0x800049c8]<br>0xCCCCCCCF|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                               |[0x80002616]:c.xor a0, a1<br> [0x80002618]:sw a0, 1988(ra)<br> |
| 498|[0x800049cc]<br>0x66666660|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                         |[0x80002628]:c.xor a0, a1<br> [0x8000262a]:sw a0, 1992(ra)<br> |
| 499|[0x800049d0]<br>0x55555556|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                                 |[0x8000263e]:c.xor a0, a1<br> [0x80002640]:sw a0, 1996(ra)<br> |
| 500|[0x800049d4]<br>0x00000003|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                                |[0x80002654]:c.xor a0, a1<br> [0x80002656]:sw a0, 2000(ra)<br> |
| 501|[0x800049d8]<br>0x99992C99|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                                    |[0x8000266a]:c.xor a0, a1<br> [0x8000266c]:sw a0, 2004(ra)<br> |
| 502|[0x800049dc]<br>0x6666D361|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                                     |[0x80002680]:c.xor a0, a1<br> [0x80002682]:sw a0, 2008(ra)<br> |
| 503|[0x800049e0]<br>0x66666667|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                         |[0x80002692]:c.xor a0, a1<br> [0x80002694]:sw a0, 2012(ra)<br> |
| 504|[0x800049e4]<br>0x33333331|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                                |[0x800026a8]:c.xor a0, a1<br> [0x800026aa]:sw a0, 2016(ra)<br> |
| 505|[0x800049e8]<br>0x66666665|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                         |[0x800026ba]:c.xor a0, a1<br> [0x800026bc]:sw a0, 2020(ra)<br> |
| 506|[0x800049ec]<br>0x55555557|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                                 |[0x800026d0]:c.xor a0, a1<br> [0x800026d2]:sw a0, 2024(ra)<br> |
| 507|[0x800049f0]<br>0x00000000|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                                |[0x800026e6]:c.xor a0, a1<br> [0x800026e8]:sw a0, 2028(ra)<br> |
| 508|[0x800049f4]<br>0x6666D366|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                                     |[0x800026fc]:c.xor a0, a1<br> [0x800026fe]:sw a0, 2032(ra)<br> |
| 509|[0x800049f8]<br>0x33333333|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                                |[0x80002712]:c.xor a0, a1<br> [0x80002714]:sw a0, 2036(ra)<br> |
| 510|[0x800049fc]<br>0xCCCCCCCE|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                               |[0x80002728]:c.xor a0, a1<br> [0x8000272a]:sw a0, 2040(ra)<br> |
| 511|[0x80004a00]<br>0x66666663|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                         |[0x8000273a]:c.xor a0, a1<br> [0x8000273c]:sw a0, 2044(ra)<br> |
| 512|[0x80004a04]<br>0x55555551|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                                 |[0x80002758]:c.xor a0, a1<br> [0x8000275a]:sw a0, 0(ra)<br>    |
| 513|[0x80004a08]<br>0x00000002|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                                |[0x8000276e]:c.xor a0, a1<br> [0x80002770]:sw a0, 4(ra)<br>    |
| 514|[0x80004a0c]<br>0x99992C98|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                                    |[0x80002784]:c.xor a0, a1<br> [0x80002786]:sw a0, 8(ra)<br>    |
| 515|[0x80004a10]<br>0x6666D360|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                                     |[0x8000279a]:c.xor a0, a1<br> [0x8000279c]:sw a0, 12(ra)<br>   |
| 516|[0x80004a14]<br>0x0000B500|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                              |[0x800027ac]:c.xor a0, a1<br> [0x800027ae]:sw a0, 16(ra)<br>   |
| 517|[0x80004a18]<br>0x5555E056|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                                     |[0x800027c2]:c.xor a0, a1<br> [0x800027c4]:sw a0, 20(ra)<br>   |
| 518|[0x80004a1c]<br>0xAAAA1FA9|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                                    |[0x800027d8]:c.xor a0, a1<br> [0x800027da]:sw a0, 24(ra)<br>   |
| 519|[0x80004a20]<br>0x0000B506|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                              |[0x800027ea]:c.xor a0, a1<br> [0x800027ec]:sw a0, 28(ra)<br>   |
| 520|[0x80004a24]<br>0x33338630|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                      |[0x80002800]:c.xor a0, a1<br> [0x80002802]:sw a0, 32(ra)<br>   |
| 521|[0x80004a28]<br>0x6666D365|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                                     |[0x80002816]:c.xor a0, a1<br> [0x80002818]:sw a0, 36(ra)<br>   |
| 522|[0x80004a2c]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                         |[0x8000282c]:c.xor a0, a1<br> [0x8000282e]:sw a0, 40(ra)<br>   |
| 523|[0x80004a30]<br>0x00000007|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                          |[0x80002842]:c.xor a0, a1<br> [0x80002844]:sw a0, 44(ra)<br>   |
| 524|[0x80004a34]<br>0x0000B501|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                              |[0x80002854]:c.xor a0, a1<br> [0x80002856]:sw a0, 48(ra)<br>   |
| 525|[0x80004a38]<br>0x5555E057|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                                     |[0x8000286a]:c.xor a0, a1<br> [0x8000286c]:sw a0, 52(ra)<br>   |
| 526|[0x80004a3c]<br>0x0000B503|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                              |[0x8000287c]:c.xor a0, a1<br> [0x8000287e]:sw a0, 56(ra)<br>   |
| 527|[0x80004a40]<br>0x0000B507|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                              |[0x8000288e]:c.xor a0, a1<br> [0x80002890]:sw a0, 60(ra)<br>   |
| 528|[0x80004a44]<br>0x33338631|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                      |[0x800028a4]:c.xor a0, a1<br> [0x800028a6]:sw a0, 64(ra)<br>   |
| 529|[0x80004a48]<br>0x6666D366|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                                     |[0x800028ba]:c.xor a0, a1<br> [0x800028bc]:sw a0, 68(ra)<br>   |
| 530|[0x80004a4c]<br>0x00000000|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                          |[0x800028d0]:c.xor a0, a1<br> [0x800028d2]:sw a0, 72(ra)<br>   |
| 531|[0x80004a50]<br>0x5555E055|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                                     |[0x800028e6]:c.xor a0, a1<br> [0x800028e8]:sw a0, 76(ra)<br>   |
| 532|[0x80004a54]<br>0xAAAA1FA8|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                                    |[0x800028fc]:c.xor a0, a1<br> [0x800028fe]:sw a0, 80(ra)<br>   |
| 533|[0x80004a58]<br>0x0000B505|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                              |[0x8000290e]:c.xor a0, a1<br> [0x80002910]:sw a0, 84(ra)<br>   |
| 534|[0x80004a5c]<br>0x33338637|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                      |[0x80002924]:c.xor a0, a1<br> [0x80002926]:sw a0, 88(ra)<br>   |
| 535|[0x80004a60]<br>0x6666D364|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                                     |[0x8000293a]:c.xor a0, a1<br> [0x8000293c]:sw a0, 92(ra)<br>   |
| 536|[0x80004a64]<br>0xFFFFFFFE|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                         |[0x80002950]:c.xor a0, a1<br> [0x80002952]:sw a0, 96(ra)<br>   |
| 537|[0x80004a68]<br>0x00000006|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                          |[0x80002966]:c.xor a0, a1<br> [0x80002968]:sw a0, 100(ra)<br>  |
| 538|[0x80004a6c]<br>0x55555555|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                         |[0x80002978]:c.xor a0, a1<br> [0x8000297a]:sw a0, 104(ra)<br>  |
| 539|[0x80004a70]<br>0x00000003|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                                |[0x8000298e]:c.xor a0, a1<br> [0x80002990]:sw a0, 108(ra)<br>  |
| 540|[0x80004a74]<br>0xFFFFFFFC|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                               |[0x800029a4]:c.xor a0, a1<br> [0x800029a6]:sw a0, 112(ra)<br>  |
| 541|[0x80004a78]<br>0x55555553|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                         |[0x800029b6]:c.xor a0, a1<br> [0x800029b8]:sw a0, 116(ra)<br>  |
| 542|[0x80004a7c]<br>0x66666665|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                                 |[0x800029cc]:c.xor a0, a1<br> [0x800029ce]:sw a0, 120(ra)<br>  |
| 543|[0x80004a80]<br>0x33333330|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                                |[0x800029e2]:c.xor a0, a1<br> [0x800029e4]:sw a0, 124(ra)<br>  |
| 544|[0x80004a84]<br>0xAAAA1FAA|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                                    |[0x800029f8]:c.xor a0, a1<br> [0x800029fa]:sw a0, 128(ra)<br>  |
| 545|[0x80004a88]<br>0x5555E052|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                                     |[0x80002a0e]:c.xor a0, a1<br> [0x80002a10]:sw a0, 132(ra)<br>  |
| 546|[0x80004a8c]<br>0x55555554|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                         |[0x80002a20]:c.xor a0, a1<br> [0x80002a22]:sw a0, 136(ra)<br>  |
| 547|[0x80004a90]<br>0x00000002|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                                |[0x80002a36]:c.xor a0, a1<br> [0x80002a38]:sw a0, 140(ra)<br>  |
| 548|[0x80004a94]<br>0x55555556|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                         |[0x80002a48]:c.xor a0, a1<br> [0x80002a4a]:sw a0, 144(ra)<br>  |
| 549|[0x80004a98]<br>0x55555552|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                         |[0x80002a5a]:c.xor a0, a1<br> [0x80002a5c]:sw a0, 148(ra)<br>  |
| 550|[0x80004a9c]<br>0x66666664|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                                 |[0x80002a70]:c.xor a0, a1<br> [0x80002a72]:sw a0, 152(ra)<br>  |
| 551|[0x80004aa0]<br>0x33333333|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                                |[0x80002a86]:c.xor a0, a1<br> [0x80002a88]:sw a0, 156(ra)<br>  |
| 552|[0x80004aa4]<br>0x5555E055|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                                     |[0x80002a9c]:c.xor a0, a1<br> [0x80002a9e]:sw a0, 160(ra)<br>  |
| 553|[0x80004aa8]<br>0x00000000|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                                |[0x80002ab2]:c.xor a0, a1<br> [0x80002ab4]:sw a0, 164(ra)<br>  |
| 554|[0x80004aac]<br>0xFFFFFFFD|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                               |[0x80002ac8]:c.xor a0, a1<br> [0x80002aca]:sw a0, 168(ra)<br>  |
| 555|[0x80004ab0]<br>0x55555550|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                         |[0x80002ada]:c.xor a0, a1<br> [0x80002adc]:sw a0, 172(ra)<br>  |
| 556|[0x80004ab4]<br>0x66666662|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                                 |[0x80002af0]:c.xor a0, a1<br> [0x80002af2]:sw a0, 176(ra)<br>  |
| 557|[0x80004ab8]<br>0x33333331|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                                |[0x80002b06]:c.xor a0, a1<br> [0x80002b08]:sw a0, 180(ra)<br>  |
| 558|[0x80004abc]<br>0xAAAA1FAB|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                                    |[0x80002b1c]:c.xor a0, a1<br> [0x80002b1e]:sw a0, 184(ra)<br>  |
| 559|[0x80004ac0]<br>0x5555E053|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                                     |[0x80002b32]:c.xor a0, a1<br> [0x80002b34]:sw a0, 188(ra)<br>  |
| 560|[0x80004ac4]<br>0xAAAAAAA8|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                        |[0x80002b44]:c.xor a0, a1<br> [0x80002b46]:sw a0, 192(ra)<br>  |
| 561|[0x80004ac8]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                               |[0x80002b5a]:c.xor a0, a1<br> [0x80002b5c]:sw a0, 196(ra)<br>  |
| 562|[0x80004acc]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                              |[0x80002b70]:c.xor a0, a1<br> [0x80002b72]:sw a0, 200(ra)<br>  |
| 563|[0x80004ad0]<br>0xAAAAAAAE|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                        |[0x80002b82]:c.xor a0, a1<br> [0x80002b84]:sw a0, 204(ra)<br>  |
| 564|[0x80004ad4]<br>0x99999998|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                                |[0x80002b98]:c.xor a0, a1<br> [0x80002b9a]:sw a0, 208(ra)<br>  |
| 565|[0x80004ad8]<br>0xCCCCCCCD|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                               |[0x80002bae]:c.xor a0, a1<br> [0x80002bb0]:sw a0, 212(ra)<br>  |
| 566|[0x80004adc]<br>0x5555E057|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                                   |[0x80002bc4]:c.xor a0, a1<br> [0x80002bc6]:sw a0, 216(ra)<br>  |
| 567|[0x80004ae0]<br>0xAAAA1FAF|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                                    |[0x80002bda]:c.xor a0, a1<br> [0x80002bdc]:sw a0, 220(ra)<br>  |
| 568|[0x80004ae4]<br>0xAAAAAAA9|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                        |[0x80002bec]:c.xor a0, a1<br> [0x80002bee]:sw a0, 224(ra)<br>  |
| 569|[0x80004ae8]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                               |[0x80002c02]:c.xor a0, a1<br> [0x80002c04]:sw a0, 228(ra)<br>  |
| 570|[0x80004aec]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                        |[0x80002c14]:c.xor a0, a1<br> [0x80002c16]:sw a0, 232(ra)<br>  |
| 571|[0x80004af0]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                        |[0x80002c26]:c.xor a0, a1<br> [0x80002c28]:sw a0, 236(ra)<br>  |
| 572|[0x80004af4]<br>0x99999999|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                                |[0x80002c3c]:c.xor a0, a1<br> [0x80002c3e]:sw a0, 240(ra)<br>  |
| 573|[0x80004af8]<br>0xCCCCCCCE|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                               |[0x80002c52]:c.xor a0, a1<br> [0x80002c54]:sw a0, 244(ra)<br>  |
| 574|[0x80004afc]<br>0xAAAA1FA8|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                                    |[0x80002c68]:c.xor a0, a1<br> [0x80002c6a]:sw a0, 248(ra)<br>  |
| 575|[0x80004b00]<br>0xFFFFFFFD|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                               |[0x80002c7e]:c.xor a0, a1<br> [0x80002c80]:sw a0, 252(ra)<br>  |
| 576|[0x80004b04]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002c94]:c.xor a0, a1<br> [0x80002c96]:sw a0, 256(ra)<br>  |
| 577|[0x80004b08]<br>0xAAAAAAAD|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                        |[0x80002ca6]:c.xor a0, a1<br> [0x80002ca8]:sw a0, 260(ra)<br>  |
| 578|[0x80004b0c]<br>0x9999999F|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                                |[0x80002cbc]:c.xor a0, a1<br> [0x80002cbe]:sw a0, 264(ra)<br>  |
| 579|[0x80004b10]<br>0xCCCCCCCC|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                               |[0x80002cd2]:c.xor a0, a1<br> [0x80002cd4]:sw a0, 268(ra)<br>  |
| 580|[0x80004b14]<br>0x00000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                  |[0x80002ce0]:c.xor a0, a1<br> [0x80002ce2]:sw a0, 272(ra)<br>  |
